//******************************************************************************
//*                       Raster Technolodgy SDK v2.xx                         *
//*                       < Rt8xxTypes.h > v2.07.0.0                           *
//*              Copyright (C)  " ", 2003-2007               *
//*                       :                             *
//*          phone: (495) 789-93-67,  e-mail: rastr_support@mail.ru            *
//******************************************************************************

#ifndef Rt8xxTypesh
#define Rt8xxTypesh

#define MAX_ARRAY_LENGTH		16
#define MAX_NUMBER_ITEMS		16
#define RT8XXDEF_VERSION                0x02070000

typedef char            TArrayOfChar[MAX_ARRAY_LENGTH];
typedef TArrayOfChar    TItemsList[MAX_NUMBER_ITEMS];

enum TAccumMode {amOFF=0,am2Frames,am4Frames,am8Frames,am16Frames,am32Frames,am64Frames,am128Frames,am256Frames,am512Frames};

enum TDspOperation {dspOFF=0,dspAVERAGE,dspSUBBACK,dspSUB,dspADD,dspAND,dspOR,dspXOR,dspSUBDIN,dspADDDIN,dspSUB2};

enum TCapturePriority {cpIdle=0, cpLowest, cpLower, cpNormal, cpHigher, cpHighest, cpTimeCritical};

struct TInChanelInfo
{
  DWORD                TypeChanel;
  DWORD                MasterChanel;
  DWORD                CaptureFlags;
  DWORD                StatisticsFlags;
  DWORD                AccumFlags;
  DWORD                RecurceFlags;
  DWORD                DspFlags;
  DWORD                FunctionFlags;
  DWORD                Reserved[8];
};

struct TDeviceInfo
{
  TArrayOfChar         DeviceName;
  TArrayOfChar         Win32DeviceName;
  DWORD                BaseModel;
  DWORD                SubModel;
  DWORD                NumbVideoIn;
  int                  BrightnessMax;
  int                  ContrastMax;
  DWORD                ADCFlags;
  DWORD                DACFlags;
  DWORD                ADCMax;
  DWORD                DACMax;
  float                PixFreqMin;
  float                PixFreqMax;
  DWORD                LineNsMin;
  DWORD                LineNsMax;
  int                  LineLenMin;
  int                  LineLenMax;
  int                  FrameWidthMin;
  int                  FrameWidthMax;
  int                  FrameHeightMin;
  int                  FrameHeightMax;
  int                  IndentLeft;
  int                  IndentTop;
  float                PixFreqMinOut;
  float                PixFreqMaxOut;
  DWORD                LineNsMinOut;
  DWORD                LineNsMaxOut;
  int                  LineLenMinOut;
  int                  LineLenMaxOut;
  int                  FrameWidthMinOut;
  int                  FrameWidthMaxOut;
  int                  FrameHeightMinOut;
  int                  FrameHeightMaxOut;
  int                  IndentLeftOut;
  int                  IndentTopOut;
  DWORD                NumbBanks;
  DWORD                BankSize;
  DWORD                CaptureModes;
  DWORD                Reserved1;
  DWORD                PortInFlags;
  DWORD                PortOutFlags;
  DWORD                Reserved2;
  DWORD                MinMax;
  DWORD                LUTMax;
  int                  ContrastMulMax;
  int                  ContrastOfsMax;
  DWORD                ControlPanelFlags;
  DWORD                ClockFlags;
  int                  DspWeightMax;
  DWORD                Reserved3[8];
  DWORD                NumbInChanels;
  TInChanelInfo        Info[4];
};

struct TSignal
{
  BOOL                 IsInterleave;
  DWORD                TotalLineNs;
  int                  TotalLineLen;
  int                  TotalLineCount;
  int                  FrameWidth;
  int                  FrameHeight;
  int                  FrameLeft;
  int                  FrameTop;
  int                  PLLOffset;
  DWORD                PLL;
};

struct TDriverInfo
{
  DWORD                WdmOsVersion;
  DWORD                WdmDrvVersion;
  DWORD                DriverVersion;
  DWORD                DeviceCount;
  DWORD                CodeError;
  DWORD                PnpStatus;
  BOOL                 Open;
  DWORD                Reserved1;
  DWORD                MapMemBlockLength;
  DWORD                MapMemPhysicalAddr;
  void*                MapMemLogicalAddr;
  void*                MapMemDrvLogicalAddr;
  void*                CommonBufferDrvLogicalAddr;
  DWORD                CommonBufferLength;
  void*                CommonBufferPtr;
  void*                CommonRegBufferPtr;
  void*                CommonVarBufferPtr;
  void*                CommonProgramBufferPtr;
  void*                CommonDmaDataBufferPtr;
  void*                CommonIrqBufferPtr;
  void*                CommonHistBufferPtr;
  DWORD                EventHandle;
  DWORD                DmaNumberBuffers;
  DWORD                DmaBufferLength;
  DWORD                DmaPhysicalAddr[4];
  void*                DmaLogicalAddr[4];
};

struct TDeviceTime
{
  WORD                 Year;
  WORD                 Month;
  WORD                 Day;
  WORD                 Hour;
  WORD                 Minute;
  WORD                 Second;
  DWORD                NanoSecond;
};

typedef unsigned short int  TLUT[1];
typedef DWORD               THistogram[1];

typedef DWORD            (__stdcall *TGetLibraryInfo)(char* info);
typedef void             (__stdcall *TEventProc)(DWORD status, DWORD param, bool& stream);
typedef void             (__stdcall *TNotifyProc)(DWORD status);
typedef int              (__stdcall *TGetList)(TItemsList& list);
typedef int              (__stdcall *TOpenDevice)(char* deviceName,char* firmwareFile);
typedef void             (__stdcall *TGetDeviceInfo)(TDeviceInfo& info);
typedef void             (__stdcall *TNoParam)(void);
typedef bool             (__stdcall *TSetInt)(int value);
typedef int              (__stdcall *TGetInt)(void);
typedef void             (__stdcall *TInt)(int value);
typedef bool             (__stdcall *TSetDword)(DWORD value);
typedef DWORD            (__stdcall *TGetDword)(void);
typedef void             (__stdcall *TDword)(DWORD value);
typedef bool             (__stdcall *TSetBool)(bool value);
typedef bool             (__stdcall *TGetBool)(void);
typedef bool             (__stdcall *TSetSignal)(TSignal signal);
typedef bool             (__stdcall *TGetSignal)(TSignal& signal);
typedef bool             (__stdcall *TCheckFields)(TSignal signal, int in_out);
typedef bool             (__stdcall *TSetFloat)(float value);
typedef float            (__stdcall *TGetFloat)(void);
typedef bool             (__stdcall *TAutoBrgContr)(TEventProc OnTerminated);
typedef bool             (__stdcall *TStart)(TEventProc method);
typedef bool             (__stdcall *TCapture)(char* pSource, bool stream);
typedef bool             (__stdcall *TOutFrame)(char* pSource);
typedef bool             (__stdcall *TOutRect)(char* pSource, int left, int top, int width, int height);
typedef bool             (__stdcall *TSetAccumMode)(TAccumMode mode);
typedef TAccumMode       (__stdcall *TGetAccumMode)(void);
typedef bool             (__stdcall *TSetLut)(TLUT* pLut);
typedef void             (__stdcall *TGetLut)(TLUT* pLut);
typedef bool             (__stdcall *TWriteOperand)(char* pSource, DWORD bits, bool inverseOrderLines, bool serialOrderFields);
typedef bool             (__stdcall *TClearOperand)(void);
typedef bool             (__stdcall *TSetDspOperation)(TDspOperation operation);
typedef TDspOperation    (__stdcall *TGetDspOperation)(void);
typedef void             (__stdcall *TGetMinMax)(DWORD& min, DWORD& max);
typedef bool             (__stdcall *TGetHist)(THistogram*& pHist, DWORD& elements, DWORD& bits);
typedef bool             (__stdcall *TSetCfg)(char* pSource);
typedef void             (__stdcall *TGetCfg)(char* pDest);
typedef bool             (__stdcall *TWaitPulse)(DWORD line, DWORD polarity, DWORD timeWaitMs, bool newPulse, TEventProc OnIoChange);
typedef bool             (__stdcall *TWriteBank)(char* pSource, DWORD bank, DWORD offset, DWORD numbBytes);
typedef bool             (__stdcall *TReadBank)(char* pDest, DWORD bank, DWORD offset, DWORD numbBytes);
typedef bool             (__stdcall *TClearBank)(DWORD bank, DWORD offset, DWORD numbBytes, DWORD value);
typedef bool             (__stdcall *TShowPanel)(DWORD hwnd, DWORD flags, TNotifyProc onHide);
typedef bool             (__stdcall *TSetPos)(int left, int top);
typedef bool             (__stdcall *TGetPos)(int& left, int& top);
typedef bool             (__stdcall *THidePanel)(void);
typedef void             (__stdcall *TGetDriverInfo)(TDriverInfo& info);
typedef DWORD            (__stdcall *TInDword)(DWORD address);
typedef void             (__stdcall *TOutDword)(DWORD address, DWORD value);
typedef void*            (__stdcall *TGetPtr)(void);
typedef __int64          (__stdcall *TGetInt64)(void);
typedef bool             (__stdcall *TSetPriority)(TCapturePriority priority);
typedef TCapturePriority (__stdcall *TGetPriority)(void);
typedef bool             (__stdcall *TOutSyncPulse)(DWORD line, DWORD mode);
typedef bool             (__stdcall *TSetTime)(TDeviceTime time);
typedef bool             (__stdcall *TGetTime)(TDeviceTime& time);
typedef bool             (__stdcall *TSetThresholds)(int amplLevel, int pixelsNumber);
typedef bool             (__stdcall *TGetThresholds)(int& amplLevel, int& pixelsNumber);
typedef int              (__stdcall *TCreateBuffer)(DWORD& physicalAddr, DWORD& length, void*& logicalAddr);
typedef void             (__stdcall *TFreeBuffer)(void);
typedef bool             (__stdcall *TSetMarkerPos)(int x, int y, int showMode);
typedef bool             (__stdcall *TGetMarkerPos)(int& x, int& y, int& showMode);
typedef __int64          (__stdcall *TGetCpuCount)(int moment);
 
#endif
