//******************************************************************************
//*                      Raster Technology SDK v2.xx                           *
//*                      < Rt8xxdef.c > v2.07.0.0                              *
//*               Copyright (C)  " , 2003-2007               *
//*                       :                             *
//*          phone: (495) 789-93-67,  e-mail: rastr_support@mail.ru            *
//******************************************************************************

#include "rt8xxdef.h"

void InitVar(HINSTANCE Hd, bool& result, void* addr, char* name)
{
   DWORD*  a;
   a=(DWORD*)addr;
   *a =(DWORD)GetProcAddress(Hd, name);
   result = result & (*a != NULL);
}

int CheckRt8xxLibrary(HINSTANCE Hd)
{
  bool result = TRUE;
  InitVar(Hd, result, &RtxxxLibrary_InterfaceVersion, "RtxxxLibrary_InterfaceVersion");
  if (result==FALSE) return 1;
  if (RtxxxLibrary_InterfaceVersion() < RT8XXDEF_VERSION) return 2;
  return 0;
}

int CheckRtxxxLibrary(HINSTANCE Hd)
{
  return CheckRt8xxLibrary(Hd);
}

BOOL ConnectToRt8xxLibrary(HINSTANCE Hd)
{
  if (CheckRt8xxLibrary(Hd)>0) return FALSE;
  bool result = TRUE;
  InitVar(Hd, result, &RtxxxLibrary_InterfaceVersion,       "RtxxxLibrary_InterfaceVersion");
  InitVar(Hd, result, &RtxxxLibrary_Version,                "RtxxxLibrary_Version");
  InitVar(Hd, result, &RtxxxLibrary_GetInfo,                "RtxxxLibrary_GetInfo");
  InitVar(Hd, result, &RtxxxDevice_GetDevicesList,          "RtxxxDevice_GetDevicesList");
  InitVar(Hd, result, &RtxxxDevice_GetFirmwaresList,        "RtxxxDevice_GetFirmwaresList");
  InitVar(Hd, result, &RtxxxDevice_SelectDevice,            "RtxxxDevice_SelectDevice");
  InitVar(Hd, result, &RtxxxDevice_DeviceIndex,             "RtxxxDevice_DeviceIndex");
  InitVar(Hd, result, &RtxxxDevice_Create,                  "RtxxxDevice_Create");
  InitVar(Hd, result, &RtxxxDevice_Open,                    "RtxxxDevice_Open");
  InitVar(Hd, result, &RtxxxDevice_GetDeviceInfo,           "RtxxxDevice_GetDeviceInfo");
  InitVar(Hd, result, &RtxxxDevice_Close,                   "RtxxxDevice_Close");
  InitVar(Hd, result, &RtxxxDevice_Destroy,                 "RtxxxDevice_Destroy");
  InitVar(Hd, result, &RtxxxDevice_CheckSignalFields,       "RtxxxDevice_CheckSignalFields");
  InitVar(Hd, result, &RtxxxDevice_SetInSignal,             "RtxxxDevice_SetInSignal");
  InitVar(Hd, result, &RtxxxDevice_GetInSignal,             "RtxxxDevice_GetInSignal");
  InitVar(Hd, result, &RtxxxDevice_SetOutSignal,            "RtxxxDevice_SetOutSignal");
  InitVar(Hd, result, &RtxxxDevice_GetOutSignal,            "RtxxxDevice_GetOutSignal");
  InitVar(Hd, result, &RtxxxDevice_SetCaptureRange,         "RtxxxDevice_SetCaptureRange");
  InitVar(Hd, result, &RtxxxDevice_CaptureRange,            "RtxxxDevice_CaptureRange");
  InitVar(Hd, result, &RtxxxDevice_SetExternalSyncMode,     "RtxxxDevice_SetExternalSyncMode");
  InitVar(Hd, result, &RtxxxDevice_ExternalSyncMode,        "RtxxxDevice_ExternalSyncMode");
  InitVar(Hd, result, &RtxxxDevice_FreqPixel,               "RtxxxDevice_FreqPixel");
  InitVar(Hd, result, &RtxxxDevice_FreqFrame,               "RtxxxDevice_FreqFrame");
  InitVar(Hd, result, &RtxxxDevice_TimeFrame,               "RtxxxDevice_TimeFrame");
  InitVar(Hd, result, &RtxxxDevice_FreqPixelOut,            "RtxxxDevice_FreqPixelOut");
  InitVar(Hd, result, &RtxxxDevice_FreqFrameOut,            "RtxxxDevice_FreqFrameOut");
  InitVar(Hd, result, &RtxxxDevice_TimeFrameOut,            "RtxxxDevice_TimeFrameOut");
  InitVar(Hd, result, &RtxxxDevice_TimeCapture,             "RtxxxDevice_TimeCapture");
  InitVar(Hd, result, &RtxxxDevice_TimeCaptureStb,          "RtxxxDevice_TimeCaptureStb");
  InitVar(Hd, result, &RtxxxDevice_SetBrightness,           "RtxxxDevice_SetBrightness");
  InitVar(Hd, result, &RtxxxDevice_Brightness,              "RtxxxDevice_Brightness");
  InitVar(Hd, result, &RtxxxDevice_SetContrast,             "RtxxxDevice_SetContrast");
  InitVar(Hd, result, &RtxxxDevice_Contrast,                "RtxxxDevice_Contrast");
  InitVar(Hd, result, &RtxxxDevice_AutoBrightnessContrast,  "RtxxxDevice_AutoBrightnessContrast");
  InitVar(Hd, result, &RtxxxDevice_SetBrightnessOut,        "RtxxxDevice_SetBrightnessOut");
  InitVar(Hd, result, &RtxxxDevice_BrightnessOut,           "RtxxxDevice_BrightnessOut");
  InitVar(Hd, result, &RtxxxDevice_SetContrastOut,          "RtxxxDevice_SetContrastOut");
  InitVar(Hd, result, &RtxxxDevice_ContrastOut,             "RtxxxDevice_ContrastOut");
  InitVar(Hd, result, &RtxxxDevice_OffsetBlack,             "RtxxxDevice_OffsetBlack");
  InitVar(Hd, result, &RtxxxDevice_SetOffsetBlack,          "RtxxxDevice_SetOffsetBlack");
  InitVar(Hd, result, &RtxxxDevice_SetInverseOrderLines,    "RtxxxDevice_SetInverseOrderLines");
  InitVar(Hd, result, &RtxxxDevice_InverseOrderLines,       "RtxxxDevice_InverseOrderLines");
  InitVar(Hd, result, &RtxxxDevice_SetInverseOrderLinesOut, "RtxxxDevice_SetInverseOrderLinesOut");
  InitVar(Hd, result, &RtxxxDevice_InverseOrderLinesOut,    "RtxxxDevice_InverseOrderLinesOut");
  InitVar(Hd, result, &RtxxxDevice_SetSerialOrderFrames,    "RtxxxDevice_SetSerialOrderFrames");
  InitVar(Hd, result, &RtxxxDevice_SerialOrderFrames,       "RtxxxDevice_SerialOrderFrames");
  InitVar(Hd, result, &RtxxxDevice_SetSerialOrderFramesOut, "RtxxxDevice_SetSerialOrderFramesOut");
  InitVar(Hd, result, &RtxxxDevice_SerialOrderFramesOut,    "RtxxxDevice_SerialOrderFramesOut");

  InitVar(Hd, result, &RtxxxDevice_SetSerialOrderFields,    "RtxxxDevice_SetSerialOrderFields");
  InitVar(Hd, result, &RtxxxDevice_SerialOrderFields,       "RtxxxDevice_SerialOrderFields");
  InitVar(Hd, result, &RtxxxDevice_SetSerialOrderFieldsOut, "RtxxxDevice_SetSerialOrderFieldsOut");
  InitVar(Hd, result, &RtxxxDevice_SerialOrderFieldsOut,    "RtxxxDevice_SerialOrderFieldsOut");
  InitVar(Hd, result, &RtxxxDevice_SetFieldsShowMode,       "RtxxxDevice_SetFieldsShowMode");
  InitVar(Hd, result, &RtxxxDevice_FieldsShowMode,          "RtxxxDevice_FieldsShowMode");
  InitVar(Hd, result, &RtxxxDevice_SetMirrorMode,           "RtxxxDevice_SetMirrorMode");
  InitVar(Hd, result, &RtxxxDevice_MirrorMode,              "RtxxxDevice_MirrorMode");

  InitVar(Hd, result, &RtxxxDevice_SetScalingMode,          "RtxxxDevice_SetScalingMode");
  InitVar(Hd, result, &RtxxxDevice_ScalingMode,             "RtxxxDevice_ScalingMode");
  InitVar(Hd, result, &RtxxxDevice_SetShowStrobeRect,       "RtxxxDevice_SetShowStrobeRect");
  InitVar(Hd, result, &RtxxxDevice_ShowStrobeRect,          "RtxxxDevice_ShowStrobeRect");
  InitVar(Hd, result, &RtxxxDevice_SetShowOut,              "RtxxxDevice_SetShowOut");
  InitVar(Hd, result, &RtxxxDevice_ShowOut,                 "RtxxxDevice_ShowOut");
  InitVar(Hd, result, &RtxxxDevice_SetOneFieldMode,         "RtxxxDevice_SetOneFieldMode");
  InitVar(Hd, result, &RtxxxDevice_OneFieldMode,            "RtxxxDevice_OneFieldMode");
  InitVar(Hd, result, &RtxxxDevice_SetSyncInOutSignals,     "RtxxxDevice_SetSyncInOutSignals");
  InitVar(Hd, result, &RtxxxDevice_SyncInOutSignals,        "RtxxxDevice_SyncInOutSignals");
  InitVar(Hd, result, &RtxxxDevice_SetADCBits,              "RtxxxDevice_SetADCBits");
  InitVar(Hd, result, &RtxxxDevice_ADCBits,                 "RtxxxDevice_ADCBits");
  InitVar(Hd, result, &RtxxxDevice_SetADCBitsStb,           "RtxxxDevice_SetADCBitsStb");
  InitVar(Hd, result, &RtxxxDevice_ADCBitsStb,              "RtxxxDevice_ADCBitsStb");
  InitVar(Hd, result, &RtxxxDevice_SetDACBits,              "RtxxxDevice_SetDACBits");
  InitVar(Hd, result, &RtxxxDevice_DACBits,                 "RtxxxDevice_DACBits");
  InitVar(Hd, result, &RtxxxDevice_ADCMax,                  "RtxxxDevice_ADCMax");
  InitVar(Hd, result, &RtxxxDevice_DACMax,                  "RtxxxDevice_DACMax");
  InitVar(Hd, result, &RtxxxDevice_SetImageBits,            "RtxxxDevice_SetImageBits");
  InitVar(Hd, result, &RtxxxDevice_ImageBits,               "RtxxxDevice_ImageBits");
  InitVar(Hd, result, &RtxxxDevice_SetImageBitsStb,         "RtxxxDevice_SetImageBitsStb");
  InitVar(Hd, result, &RtxxxDevice_ImageBitsStb,            "RtxxxDevice_ImageBitsStb");
  InitVar(Hd, result, &RtxxxDevice_SetImageBitsOut,         "RtxxxDevice_SetImageBitsOut");
  InitVar(Hd, result, &RtxxxDevice_ImageBitsOut,            "RtxxxDevice_ImageBitsOut");
  InitVar(Hd, result, &RtxxxDevice_SetCaptureMode,          "RtxxxDevice_SetCaptureMode");
  InitVar(Hd, result, &RtxxxDevice_CaptureMode,             "RtxxxDevice_CaptureMode");
  InitVar(Hd, result, &RtxxxDevice_ThroughMode,             "RtxxxDevice_ThroughMode");
  InitVar(Hd, result, &RtxxxDevice_CheckInSignal,           "RtxxxDevice_CheckInSignal");
  InitVar(Hd, result, &RtxxxDevice_StartCaptureFrame,       "RtxxxDevice_StartCaptureFrame");
  InitVar(Hd, result, &RtxxxDevice_StartCaptureStrobe,      "RtxxxDevice_StartCaptureStrobe");
  InitVar(Hd, result, &RtxxxDevice_CaptureFrame,            "RtxxxDevice_CaptureFrame");
  InitVar(Hd, result, &RtxxxDevice_CaptureStrobe,           "RtxxxDevice_CaptureStrobe");
  InitVar(Hd, result, &RtxxxDevice_DmaBufferPtr,            "RtxxxDevice_DmaBufferPtr");
  InitVar(Hd, result, &RtxxxDevice_DmaBufferPtrStb,         "RtxxxDevice_DmaBufferPtrStb");
  InitVar(Hd, result, &RtxxxDevice_DmaSequenceMode,         "RtxxxDevice_DmaSequenceMode");
  InitVar(Hd, result, &RtxxxDevice_CurrentCpuCount,         "RtxxxDevice_CurrentCpuCount");
  InitVar(Hd, result, &RtxxxDevice_CpuCount,                "RtxxxDevice_CpuCount");
  InitVar(Hd, result, &RtxxxDevice_CpuCountStb,             "RtxxxDevice_CpuCountStb");
  InitVar(Hd, result, &RtxxxDevice_GetCpuCount,             "RtxxxDevice_GetCpuCount");
  InitVar(Hd, result, &RtxxxDevice_GetCpuFreq,              "RtxxxDevice_GetCpuFreq");
  InitVar(Hd, result, &RtxxxDevice_StartOutFrame,           "RtxxxDevice_StartOutFrame");
  InitVar(Hd, result, &RtxxxDevice_OutFrame,                "RtxxxDevice_OutFrame");
  InitVar(Hd, result, &RtxxxDevice_OutRect,                 "RtxxxDevice_OutRect");
  InitVar(Hd, result, &RtxxxDevice_SetCountFrames,          "RtxxxDevice_SetCountFrames");
  InitVar(Hd, result, &RtxxxDevice_CountFrames,             "RtxxxDevice_CountFrames");
  InitVar(Hd, result, &RtxxxDevice_SetVideoIn,              "RtxxxDevice_SetVideoIn");
  InitVar(Hd, result, &RtxxxDevice_VideoIn,                 "RtxxxDevice_VideoIn");
  InitVar(Hd, result, &RtxxxDevice_SetPersonalMode,         "RtxxxDevice_SetPersonalMode");
  InitVar(Hd, result, &RtxxxDevice_PersonalMode,            "RtxxxDevice_PersonalMode");
  InitVar(Hd, result, &RtxxxDevice_SetLeft,                 "RtxxxDevice_SetLeft");
  InitVar(Hd, result, &RtxxxDevice_Left,                    "RtxxxDevice_Left");
  InitVar(Hd, result, &RtxxxDevice_LeftMin,                 "RtxxxDevice_LeftMin");
  InitVar(Hd, result, &RtxxxDevice_LeftMax,                 "RtxxxDevice_LeftMax");
  InitVar(Hd, result, &RtxxxDevice_SetTop,                  "RtxxxDevice_SetTop");
  InitVar(Hd, result, &RtxxxDevice_Top,                     "RtxxxDevice_Top");
  InitVar(Hd, result, &RtxxxDevice_TopMin,                  "RtxxxDevice_TopMin");
  InitVar(Hd, result, &RtxxxDevice_TopMax,                  "RtxxxDevice_TopMax");
  InitVar(Hd, result, &RtxxxDevice_SetWidth,                "RtxxxDevice_SetWidth");
  InitVar(Hd, result, &RtxxxDevice_Width,                   "RtxxxDevice_Width");
  InitVar(Hd, result, &RtxxxDevice_WidthMin,                "RtxxxDevice_WidthMin");
  InitVar(Hd, result, &RtxxxDevice_WidthMax,                "RtxxxDevice_WidthMax");
  InitVar(Hd, result, &RtxxxDevice_SetHeight,               "RtxxxDevice_SetHeight");
  InitVar(Hd, result, &RtxxxDevice_Height,                  "RtxxxDevice_Height");
  InitVar(Hd, result, &RtxxxDevice_HeightMin,               "RtxxxDevice_HeightMin");
  InitVar(Hd, result, &RtxxxDevice_HeightMax,               "RtxxxDevice_HeightMax");
  InitVar(Hd, result, &RtxxxDevice_SetLenLine,              "RtxxxDevice_SetLenLine");
  InitVar(Hd, result, &RtxxxDevice_LenLine,                 "RtxxxDevice_LenLine");
  InitVar(Hd, result, &RtxxxDevice_LenLineMin,              "RtxxxDevice_LenLineMin");
  InitVar(Hd, result, &RtxxxDevice_LenLineMax,              "RtxxxDevice_LenLineMax");
  InitVar(Hd, result, &RtxxxDevice_SetLeftStb,              "RtxxxDevice_SetLeftStb");
  InitVar(Hd, result, &RtxxxDevice_LeftStb,                 "RtxxxDevice_LeftStb");
  InitVar(Hd, result, &RtxxxDevice_LeftMinStb,              "RtxxxDevice_LeftMinStb");
  InitVar(Hd, result, &RtxxxDevice_LeftMaxStb,              "RtxxxDevice_LeftMaxStb");
  InitVar(Hd, result, &RtxxxDevice_SetTopStb,               "RtxxxDevice_SetTopStb");
  InitVar(Hd, result, &RtxxxDevice_TopStb,                  "RtxxxDevice_TopStb");
  InitVar(Hd, result, &RtxxxDevice_TopMinStb,               "RtxxxDevice_TopMinStb");
  InitVar(Hd, result, &RtxxxDevice_TopMaxStb,               "RtxxxDevice_TopMaxStb");
  InitVar(Hd, result, &RtxxxDevice_SetWidthStb,             "RtxxxDevice_SetWidthStb");
  InitVar(Hd, result, &RtxxxDevice_WidthStb,                "RtxxxDevice_WidthStb");
  InitVar(Hd, result, &RtxxxDevice_WidthMinStb,             "RtxxxDevice_WidthMinStb");
  InitVar(Hd, result, &RtxxxDevice_WidthMaxStb,             "RtxxxDevice_WidthMaxStb");
  InitVar(Hd, result, &RtxxxDevice_SetHeightStb,            "RtxxxDevice_SetHeightStb");
  InitVar(Hd, result, &RtxxxDevice_HeightStb,               "RtxxxDevice_HeightStb");
  InitVar(Hd, result, &RtxxxDevice_HeightMinStb,            "RtxxxDevice_HeightMinStb");
  InitVar(Hd, result, &RtxxxDevice_HeightMaxStb,            "RtxxxDevice_HeightMaxStb");
  InitVar(Hd, result, &RtxxxDevice_SetLeftOut,              "RtxxxDevice_SetLeftOut");
  InitVar(Hd, result, &RtxxxDevice_LeftOut,                 "RtxxxDevice_LeftOut");
  InitVar(Hd, result, &RtxxxDevice_LeftMinOut,              "RtxxxDevice_LeftMinOut");
  InitVar(Hd, result, &RtxxxDevice_LeftMaxOut,              "RtxxxDevice_LeftMaxOut");
  InitVar(Hd, result, &RtxxxDevice_SetTopOut,               "RtxxxDevice_SetTopOut");
  InitVar(Hd, result, &RtxxxDevice_TopOut,                  "RtxxxDevice_TopOut");
  InitVar(Hd, result, &RtxxxDevice_TopMinOut,               "RtxxxDevice_TopMinOut");
  InitVar(Hd, result, &RtxxxDevice_TopMaxOut,               "RtxxxDevice_TopMaxOut");
  InitVar(Hd, result, &RtxxxDevice_SetWidthOut,             "RtxxxDevice_SetWidthOut");
  InitVar(Hd, result, &RtxxxDevice_WidthOut,                "RtxxxDevice_WidthOut");
  InitVar(Hd, result, &RtxxxDevice_WidthMinOut,             "RtxxxDevice_WidthMinOut");
  InitVar(Hd, result, &RtxxxDevice_WidthMaxOut,             "RtxxxDevice_WidthMaxOut");
  InitVar(Hd, result, &RtxxxDevice_SetHeightOut,            "RtxxxDevice_SetHeightOut");
  InitVar(Hd, result, &RtxxxDevice_HeightOut,               "RtxxxDevice_HeightOut");
  InitVar(Hd, result, &RtxxxDevice_HeightMinOut,            "RtxxxDevice_HeightMinOut");
  InitVar(Hd, result, &RtxxxDevice_HeightMaxOut,            "RtxxxDevice_HeightMaxOut");
  InitVar(Hd, result, &RtxxxDevice_SetLenLineOut,           "RtxxxDevice_SetLenLineOut");
  InitVar(Hd, result, &RtxxxDevice_LenLineOut,              "RtxxxDevice_LenLineOut");
  InitVar(Hd, result, &RtxxxDevice_LenLineMinOut,           "RtxxxDevice_LenLineMinOut");
  InitVar(Hd, result, &RtxxxDevice_LenLineMaxOut,           "RtxxxDevice_LenLineMaxOut");
  InitVar(Hd, result, &RtxxxDevice_WinToCentre,             "RtxxxDevice_WinToCentre");
  InitVar(Hd, result, &RtxxxDevice_WinStbToCentre,          "RtxxxDevice_WinStbToCentre");
  InitVar(Hd, result, &RtxxxDevice_WinOutToCentre,          "RtxxxDevice_WinOutToCentre");
  InitVar(Hd, result, &RtxxxDevice_SetAccumMethod,          "RtxxxDevice_SetAccumMethod");
  InitVar(Hd, result, &RtxxxDevice_AccumMethod,             "RtxxxDevice_AccumMethod");
  InitVar(Hd, result, &RtxxxDevice_SetAccumMode,            "RtxxxDevice_SetAccumMode");
  InitVar(Hd, result, &RtxxxDevice_AccumMode,               "RtxxxDevice_AccumMode");
  InitVar(Hd, result, &RtxxxDevice_SetAccumValue,           "RtxxxDevice_SetAccumValue");
  InitVar(Hd, result, &RtxxxDevice_AccumValue,              "RtxxxDevice_AccumValue");
  InitVar(Hd, result, &RtxxxDevice_CountAccumFrames,        "RtxxxDevice_CountAccumFrames");
  InitVar(Hd, result, &RtxxxDevice_SetAccumMethodStb,       "RtxxxDevice_SetAccumMethodStb");
  InitVar(Hd, result, &RtxxxDevice_AccumMethodStb,          "RtxxxDevice_AccumMethodStb");
  InitVar(Hd, result, &RtxxxDevice_SetAccumModeStb,         "RtxxxDevice_SetAccumModeStb");
  InitVar(Hd, result, &RtxxxDevice_AccumModeStb,            "RtxxxDevice_AccumModeStb");
  InitVar(Hd, result, &RtxxxDevice_SetAccumValueStb,	    "RtxxxDevice_SetAccumValueStb");
  InitVar(Hd, result, &RtxxxDevice_AccumValueStb,           "RtxxxDevice_AccumValueStb");
  InitVar(Hd, result, &RtxxxDevice_CountAccumFramesStb,     "RtxxxDevice_CountAccumFramesStb");
  InitVar(Hd, result, &RtxxxDevice_SetContrastMul,          "RtxxxDevice_SetContrastMul");
  InitVar(Hd, result, &RtxxxDevice_ContrastMul,             "RtxxxDevice_ContrastMul");
  InitVar(Hd, result, &RtxxxDevice_SetContrastOfs,          "RtxxxDevice_SetContrastOfs");
  InitVar(Hd, result, &RtxxxDevice_ContrastOfs,             "RtxxxDevice_ContrastOfs");
  InitVar(Hd, result, &RtxxxDevice_SetContrastMulStb,       "RtxxxDevice_SetContrastMulStb");
  InitVar(Hd, result, &RtxxxDevice_ContrastMulStb,          "RtxxxDevice_ContrastMulStb");
  InitVar(Hd, result, &RtxxxDevice_SetContrastOfsStb,       "RtxxxDevice_SetContrastOfsStb");
  InitVar(Hd, result, &RtxxxDevice_ContrastOfsStb,          "RtxxxDevice_ContrastOfsStb");
  InitVar(Hd, result, &RtxxxDevice_SetLUT,                  "RtxxxDevice_SetLUT");
  InitVar(Hd, result, &RtxxxDevice_GetLUT,                  "RtxxxDevice_GetLUT");
  InitVar(Hd, result, &RtxxxDevice_SetFilterMode,           "RtxxxDevice_SetFilterMode");
  InitVar(Hd, result, &RtxxxDevice_FilterMode,              "RtxxxDevice_FilterMode");
  InitVar(Hd, result, &RtxxxDevice_WriteDspOperand,         "RtxxxDevice_WriteDspOperand");
  InitVar(Hd, result, &RtxxxDevice_ClearDspOperand,         "RtxxxDevice_ClearDspOperand");
  InitVar(Hd, result, &RtxxxDevice_SetDspOperation,         "RtxxxDevice_SetDspOperation");
  InitVar(Hd, result, &RtxxxDevice_DspOperation,            "RtxxxDevice_DspOperation");
  InitVar(Hd, result, &RtxxxDevice_SetDspLevel,             "RtxxxDevice_SetDspLevel");
  InitVar(Hd, result, &RtxxxDevice_DspLevel,                "RtxxxDevice_DspLevel");
  InitVar(Hd, result, &RtxxxDevice_SetDspWeight,            "RtxxxDevice_SetDspWeight");
  InitVar(Hd, result, &RtxxxDevice_DspWeight,               "RtxxxDevice_DspWeight");
  InitVar(Hd, result, &RtxxxDevice_SetRecurseIndex,         "RtxxxDevice_SetRecurseIndex");
  InitVar(Hd, result, &RtxxxDevice_RecurseIndex,            "RtxxxDevice_RecurseIndex");
  InitVar(Hd, result, &RtxxxDevice_WriteDspOperandStb,      "RtxxxDevice_WriteDspOperandStb");
  InitVar(Hd, result, &RtxxxDevice_ClearDspOperandStb,      "RtxxxDevice_ClearDspOperandStb");
  InitVar(Hd, result, &RtxxxDevice_SetDspOperationStb,      "RtxxxDevice_SetDspOperationStb");
  InitVar(Hd, result, &RtxxxDevice_DspOperationStb,         "RtxxxDevice_DspOperationStb");
  InitVar(Hd, result, &RtxxxDevice_SetDspLevelStb,          "RtxxxDevice_SetDspLevelStb");
  InitVar(Hd, result, &RtxxxDevice_DspLevelStb,             "RtxxxDevice_DspLevelStb");
  InitVar(Hd, result, &RtxxxDevice_SetDspWeightStb,         "RtxxxDevice_SetDspWeightStb");
  InitVar(Hd, result, &RtxxxDevice_DspWeightStb,            "RtxxxDevice_DspWeightStb");
  InitVar(Hd, result, &RtxxxDevice_SetRecurseIndexStb,	    "RtxxxDevice_SetRecurseIndexStb");
  InitVar(Hd, result, &RtxxxDevice_RecurseIndexStb,         "RtxxxDevice_RecurseIndexStb");
  InitVar(Hd, result, &RtxxxDevice_SetStatisticsChanel,     "RtxxxDevice_SetStatisticsChanel");
  InitVar(Hd, result, &RtxxxDevice_StatisticsChanel,        "RtxxxDevice_StatisticsChanel");
  InitVar(Hd, result, &RtxxxDevice_GetMinMax,               "RtxxxDevice_GetMinMax");
  InitVar(Hd, result, &RtxxxDevice_SetHistogramMode,        "RtxxxDevice_SetHistogramMode");
  InitVar(Hd, result, &RtxxxDevice_HistogramMode,           "RtxxxDevice_HistogramMode");
  InitVar(Hd, result, &RtxxxDevice_GetHistogram,            "RtxxxDevice_GetHistogram");
  InitVar(Hd, result, &RtxxxDevice_GetHardHistogram,        "RtxxxDevice_GetHardHistogram");
  InitVar(Hd, result, &RtxxxDevice_GetCfgBlockSize,         "RtxxxDevice_GetCfgBlockSize");
  InitVar(Hd, result, &RtxxxDevice_GetCfg,                  "RtxxxDevice_GetCfg");
  InitVar(Hd, result, &RtxxxDevice_SetCfg,                  "RtxxxDevice_SetCfg");
  InitVar(Hd, result, &RtxxxDevice_SetCfgDefault,           "RtxxxDevice_SetCfgDefault");
  InitVar(Hd, result, &RtxxxDevice_LoadCfg,                 "RtxxxDevice_LoadCfg");
  InitVar(Hd, result, &RtxxxDevice_SaveCfg,                 "RtxxxDevice_SaveCfg");
  InitVar(Hd, result, &RtxxxDevice_SetIoDirection,          "RtxxxDevice_SetIoDirection");
  InitVar(Hd, result, &RtxxxDevice_IoDirection,             "RtxxxDevice_IoDirection");
  InitVar(Hd, result, &RtxxxDevice_OutPort,                 "RtxxxDevice_OutPort");
  InitVar(Hd, result, &RtxxxDevice_InPort,                  "RtxxxDevice_InPort");
  InitVar(Hd, result, &RtxxxDevice_WaitPulse,               "RtxxxDevice_WaitPulse");
  InitVar(Hd, result, &RtxxxDevice_OutSyncPulse,            "RtxxxDevice_OutSyncPulse");
  InitVar(Hd, result, &RtxxxDevice_ShowControlPanel,        "RtxxxDevice_ShowControlPanel");
  InitVar(Hd, result, &RtxxxDevice_SetControlPanelPos,      "RtxxxDevice_SetControlPanelPos");
  InitVar(Hd, result, &RtxxxDevice_GetControlPanelPos,      "RtxxxDevice_GetControlPanelPos");
  InitVar(Hd, result, &RtxxxDevice_HideControlPanel,        "RtxxxDevice_HideControlPanel");
  InitVar(Hd, result, &RtxxxDevice_WriteBank,               "RtxxxDevice_WriteBank");
  InitVar(Hd, result, &RtxxxDevice_ClearBank,               "RtxxxDevice_ClearBank");
  InitVar(Hd, result, &RtxxxDevice_ReadBank,                "RtxxxDevice_ReadBank");
  InitVar(Hd, result, &RtxxxDevice_GetDriverInfo,           "RtxxxDevice_GetDriverInfo");
  InitVar(Hd, result, &RtxxxDevice_InReg,                   "RtxxxDevice_InReg");
  InitVar(Hd, result, &RtxxxDevice_OutReg,                  "RtxxxDevice_OutReg");
  InitVar(Hd, result, &RtxxxDevice_InVar,                   "RtxxxDevice_InVar");
  InitVar(Hd, result, &RtxxxDevice_OutVar,                  "RtxxxDevice_OutVar");
  InitVar(Hd, result, &RtxxxDevice_SetCapturePriority,      "RtxxxDevice_SetCapturePriority");
  InitVar(Hd, result, &RtxxxDevice_CapturePriority,         "RtxxxDevice_CapturePriority");
  InitVar(Hd, result, &RtxxxDevice_SetTime,                 "RtxxxDevice_SetTime");
  InitVar(Hd, result, &RtxxxDevice_GetTime,                 "RtxxxDevice_GetTime");
  InitVar(Hd, result, &RtxxxDevice_GetTimeBeginCapture,	    "RtxxxDevice_GetTimeBeginCapture");
  InitVar(Hd, result, &RtxxxDevice_SetFreqDivider,          "RtxxxDevice_SetFreqDivider");
  InitVar(Hd, result, &RtxxxDevice_FreqDivider,             "RtxxxDevice_FreqDivider");
  InitVar(Hd, result, &RtxxxDevice_CreateMemoryBuffer,      "RtxxxDevice_CreateMemoryBuffer");
  InitVar(Hd, result, &RtxxxDevice_FreeMemoryBuffer,        "RtxxxDevice_FreeMemoryBuffer");
  return result;
}

BOOL ConnectToVPxxxInterface(HINSTANCE Hd)
{
  return ConnectToRt8xxLibrary(Hd);
}

BOOL ConnectToDCxxxInterface(HINSTANCE Hd)
{
  if (ConnectToRt8xxLibrary == FALSE) return FALSE;
  bool result = TRUE;
  InitVar(Hd, result, &RtxxxDevice_SetTestMode,             "RtxxxDevice_SetTestMode");
  InitVar(Hd, result, &RtxxxDevice_TestMode,                "RtxxxDevice_TestMode");
  InitVar(Hd, result, &RtxxxDevice_SetClockDivider,         "RtxxxDevice_SetClockDivider");
  InitVar(Hd, result, &RtxxxDevice_ClockDivider,            "RtxxxDevice_ClockDivider");
  InitVar(Hd, result, &RtxxxDevice_SetShutterMode,          "RtxxxDevice_SetShutterMode");
  InitVar(Hd, result, &RtxxxDevice_ShutterMode,             "RtxxxDevice_ShutterMode");
  InitVar(Hd, result, &RtxxxDevice_SetShutter,              "RtxxxDevice_SetShutter");
  InitVar(Hd, result, &RtxxxDevice_Shutter,                 "RtxxxDevice_Shutter");
  InitVar(Hd, result, &RtxxxDevice_SetGainX,                "RtxxxDevice_SetGainX");
  InitVar(Hd, result, &RtxxxDevice_GainX,                   "RtxxxDevice_GainX");
  InitVar(Hd, result, &RtxxxDevice_SetGainY,                "RtxxxDevice_SetGainY");
  InitVar(Hd, result, &RtxxxDevice_GainY,                   "RtxxxDevice_GainY");
  InitVar(Hd, result, &RtxxxDevice_SetOffsetX,              "RtxxxDevice_SetOffsetX");
  InitVar(Hd, result, &RtxxxDevice_OffsetX,                 "RtxxxDevice_OffsetX");
  InitVar(Hd, result, &RtxxxDevice_SetOffsetY,              "RtxxxDevice_SetOffsetY");
  InitVar(Hd, result, &RtxxxDevice_OffsetY,                 "RtxxxDevice_OffsetY");
  InitVar(Hd, result, &RtxxxDevice_SetPhase1,               "RtxxxDevice_SetPhase1");
  InitVar(Hd, result, &RtxxxDevice_Phase1,                  "RtxxxDevice_Phase1");
  InitVar(Hd, result, &RtxxxDevice_SetPhase2,               "RtxxxDevice_SetPhase2");
  InitVar(Hd, result, &RtxxxDevice_Phase2,                  "RtxxxDevice_Phase2");
  InitVar(Hd, result, &RtxxxDevice_SetPhase3,               "RtxxxDevice_SetPhase3");
  InitVar(Hd, result, &RtxxxDevice_Phase3,                  "RtxxxDevice_Phase3");
  InitVar(Hd, result, &RtxxxDevice_SetPhase4,               "RtxxxDevice_SetPhase4");
  InitVar(Hd, result, &RtxxxDevice_Phase4,                  "RtxxxDevice_Phase4");
  InitVar(Hd, result, &RtxxxDevice_SetThresholds,           "RtxxxDevice_SetThresholds");
  InitVar(Hd, result, &RtxxxDevice_GetThresholds,           "RtxxxDevice_GetThresholds");
  InitVar(Hd, result, &RtxxxDevice_GetPixelsCount,          "RtxxxDevice_GetPixelsCount");

  return result;
}
