//******************************************************************************
//*                      Raster Technology SDK v2.xx                           *
//*                      < Rt8xxdef2.c > v2.07.0.0                             *
//*               Copyright (C)  " , 2003-2007               *
//*                       :                             *
//*          phone: (495) 789-93-67,  e-mail: rastr_support@mail.ru            *
//******************************************************************************

#include "rt8xxdef2.h"

void InitVar(HINSTANCE Hd, bool& result, void* addr, char* name)
{
   DWORD*  a;
   a=(DWORD*)addr;
   *a =(DWORD)GetProcAddress(Hd, name);
   result = result & (*a != NULL);
}

int CheckRt8xxLibrary(HINSTANCE Hd)
{
  bool			result = TRUE;
  TGetDword		RtxxxLibrary_InterfaceVersion;

  InitVar(Hd, result, &RtxxxLibrary_InterfaceVersion, "RtxxxLibrary_InterfaceVersion");
  if (result==FALSE) return 1;
  if (RtxxxLibrary_InterfaceVersion() < RT8XXDEF_VERSION) return 2;
  return 0;
}

int CheckRtxxxLibrary(HINSTANCE Hd)
{
  return CheckRt8xxLibrary(Hd);
}

BOOL ConnectToRt8xxLibrary(HINSTANCE Hd, TVpInterface& i)
{
  if (CheckRt8xxLibrary(Hd)>0) return FALSE;
  bool result = TRUE;
  InitVar(Hd, result, &i.RtxxxLibrary_InterfaceVersion,       "RtxxxLibrary_InterfaceVersion");
  InitVar(Hd, result, &i.RtxxxLibrary_Version,                "RtxxxLibrary_Version");
  InitVar(Hd, result, &i.RtxxxLibrary_GetInfo,                "RtxxxLibrary_GetInfo");
  InitVar(Hd, result, &i.RtxxxDevice_GetDevicesList,          "RtxxxDevice_GetDevicesList");
  InitVar(Hd, result, &i.RtxxxDevice_GetFirmwaresList,        "RtxxxDevice_GetFirmwaresList");
  InitVar(Hd, result, &i.RtxxxDevice_SelectDevice,            "RtxxxDevice_SelectDevice");
  InitVar(Hd, result, &i.RtxxxDevice_DeviceIndex,             "RtxxxDevice_DeviceIndex");
  InitVar(Hd, result, &i.RtxxxDevice_Create,                  "RtxxxDevice_Create");
  InitVar(Hd, result, &i.RtxxxDevice_Open,                    "RtxxxDevice_Open");
  InitVar(Hd, result, &i.RtxxxDevice_GetDeviceInfo,           "RtxxxDevice_GetDeviceInfo");
  InitVar(Hd, result, &i.RtxxxDevice_Close,                   "RtxxxDevice_Close");
  InitVar(Hd, result, &i.RtxxxDevice_Destroy,                 "RtxxxDevice_Destroy");
  InitVar(Hd, result, &i.RtxxxDevice_CheckSignalFields,       "RtxxxDevice_CheckSignalFields");
  InitVar(Hd, result, &i.RtxxxDevice_SetInSignal,             "RtxxxDevice_SetInSignal");
  InitVar(Hd, result, &i.RtxxxDevice_GetInSignal,             "RtxxxDevice_GetInSignal");
  InitVar(Hd, result, &i.RtxxxDevice_SetOutSignal,            "RtxxxDevice_SetOutSignal");
  InitVar(Hd, result, &i.RtxxxDevice_GetOutSignal,            "RtxxxDevice_GetOutSignal");
  InitVar(Hd, result, &i.RtxxxDevice_SetCaptureRange,         "RtxxxDevice_SetCaptureRange");
  InitVar(Hd, result, &i.RtxxxDevice_CaptureRange,            "RtxxxDevice_CaptureRange");
  InitVar(Hd, result, &i.RtxxxDevice_SetExternalSyncMode,     "RtxxxDevice_SetExternalSyncMode");
  InitVar(Hd, result, &i.RtxxxDevice_ExternalSyncMode,        "RtxxxDevice_ExternalSyncMode");
  InitVar(Hd, result, &i.RtxxxDevice_FreqPixel,               "RtxxxDevice_FreqPixel");
  InitVar(Hd, result, &i.RtxxxDevice_FreqFrame,               "RtxxxDevice_FreqFrame");
  InitVar(Hd, result, &i.RtxxxDevice_TimeFrame,               "RtxxxDevice_TimeFrame");
  InitVar(Hd, result, &i.RtxxxDevice_FreqPixelOut,            "RtxxxDevice_FreqPixelOut");
  InitVar(Hd, result, &i.RtxxxDevice_FreqFrameOut,            "RtxxxDevice_FreqFrameOut");
  InitVar(Hd, result, &i.RtxxxDevice_TimeFrameOut,            "RtxxxDevice_TimeFrameOut");
  InitVar(Hd, result, &i.RtxxxDevice_TimeCapture,             "RtxxxDevice_TimeCapture");
  InitVar(Hd, result, &i.RtxxxDevice_TimeCaptureStb,          "RtxxxDevice_TimeCaptureStb");
  InitVar(Hd, result, &i.RtxxxDevice_SetBrightness,           "RtxxxDevice_SetBrightness");
  InitVar(Hd, result, &i.RtxxxDevice_Brightness,              "RtxxxDevice_Brightness");
  InitVar(Hd, result, &i.RtxxxDevice_SetContrast,             "RtxxxDevice_SetContrast");
  InitVar(Hd, result, &i.RtxxxDevice_Contrast,                "RtxxxDevice_Contrast");
  InitVar(Hd, result, &i.RtxxxDevice_AutoBrightnessContrast,  "RtxxxDevice_AutoBrightnessContrast");
  InitVar(Hd, result, &i.RtxxxDevice_SetBrightnessOut,        "RtxxxDevice_SetBrightnessOut");
  InitVar(Hd, result, &i.RtxxxDevice_BrightnessOut,           "RtxxxDevice_BrightnessOut");
  InitVar(Hd, result, &i.RtxxxDevice_SetContrastOut,          "RtxxxDevice_SetContrastOut");
  InitVar(Hd, result, &i.RtxxxDevice_ContrastOut,             "RtxxxDevice_ContrastOut");
  InitVar(Hd, result, &i.RtxxxDevice_OffsetBlack,             "RtxxxDevice_OffsetBlack");
  InitVar(Hd, result, &i.RtxxxDevice_SetOffsetBlack,          "RtxxxDevice_SetOffsetBlack");
  InitVar(Hd, result, &i.RtxxxDevice_SetInverseOrderLines,    "RtxxxDevice_SetInverseOrderLines");
  InitVar(Hd, result, &i.RtxxxDevice_InverseOrderLines,       "RtxxxDevice_InverseOrderLines");
  InitVar(Hd, result, &i.RtxxxDevice_SetInverseOrderLinesOut, "RtxxxDevice_SetInverseOrderLinesOut");
  InitVar(Hd, result, &i.RtxxxDevice_InverseOrderLinesOut,    "RtxxxDevice_InverseOrderLinesOut");
  InitVar(Hd, result, &i.RtxxxDevice_SetSerialOrderFrames,    "RtxxxDevice_SetSerialOrderFrames");
  InitVar(Hd, result, &i.RtxxxDevice_SerialOrderFrames,       "RtxxxDevice_SerialOrderFrames");
  InitVar(Hd, result, &i.RtxxxDevice_SetSerialOrderFramesOut, "RtxxxDevice_SetSerialOrderFramesOut");
  InitVar(Hd, result, &i.RtxxxDevice_SerialOrderFramesOut,    "RtxxxDevice_SerialOrderFramesOut");
  InitVar(Hd, result, &i.RtxxxDevice_SetSerialOrderFields,    "RtxxxDevice_SetSerialOrderFields");
  InitVar(Hd, result, &i.RtxxxDevice_SerialOrderFields,       "RtxxxDevice_SerialOrderFields");
  InitVar(Hd, result, &i.RtxxxDevice_SetSerialOrderFieldsOut, "RtxxxDevice_SetSerialOrderFieldsOut");
  InitVar(Hd, result, &i.RtxxxDevice_SerialOrderFieldsOut,    "RtxxxDevice_SerialOrderFieldsOut");
  InitVar(Hd, result, &i.RtxxxDevice_SetFieldsShowMode,       "RtxxxDevice_SetFieldsShowMode");
  InitVar(Hd, result, &i.RtxxxDevice_FieldsShowMode,          "RtxxxDevice_FieldsShowMode");
  InitVar(Hd, result, &i.RtxxxDevice_SetMirrorMode,           "RtxxxDevice_SetMirrorMode");
  InitVar(Hd, result, &i.RtxxxDevice_MirrorMode,              "RtxxxDevice_MirrorMode");
  InitVar(Hd, result, &i.RtxxxDevice_SetScalingMode,          "RtxxxDevice_SetScalingMode");
  InitVar(Hd, result, &i.RtxxxDevice_ScalingMode,             "RtxxxDevice_ScalingMode");
  InitVar(Hd, result, &i.RtxxxDevice_SetShowStrobeRect,       "RtxxxDevice_SetShowStrobeRect");
  InitVar(Hd, result, &i.RtxxxDevice_ShowStrobeRect,          "RtxxxDevice_ShowStrobeRect");
  InitVar(Hd, result, &i.RtxxxDevice_SetShowOut,              "RtxxxDevice_SetShowOut");
  InitVar(Hd, result, &i.RtxxxDevice_ShowOut,                 "RtxxxDevice_ShowOut");
  InitVar(Hd, result, &i.RtxxxDevice_SetOneFieldMode,         "RtxxxDevice_SetOneFieldMode");
  InitVar(Hd, result, &i.RtxxxDevice_OneFieldMode,            "RtxxxDevice_OneFieldMode");
  InitVar(Hd, result, &i.RtxxxDevice_SetSyncInOutSignals,     "RtxxxDevice_SetSyncInOutSignals");
  InitVar(Hd, result, &i.RtxxxDevice_SyncInOutSignals,        "RtxxxDevice_SyncInOutSignals");
  InitVar(Hd, result, &i.RtxxxDevice_SetADCBits,              "RtxxxDevice_SetADCBits");
  InitVar(Hd, result, &i.RtxxxDevice_ADCBits,                 "RtxxxDevice_ADCBits");
  InitVar(Hd, result, &i.RtxxxDevice_SetADCBitsStb,           "RtxxxDevice_SetADCBitsStb");
  InitVar(Hd, result, &i.RtxxxDevice_ADCBitsStb,              "RtxxxDevice_ADCBitsStb");
  InitVar(Hd, result, &i.RtxxxDevice_SetDACBits,              "RtxxxDevice_SetDACBits");
  InitVar(Hd, result, &i.RtxxxDevice_DACBits,                 "RtxxxDevice_DACBits");
  InitVar(Hd, result, &i.RtxxxDevice_ADCMax,                  "RtxxxDevice_ADCMax");
  InitVar(Hd, result, &i.RtxxxDevice_DACMax,                  "RtxxxDevice_DACMax");
  InitVar(Hd, result, &i.RtxxxDevice_SetImageBits,            "RtxxxDevice_SetImageBits");
  InitVar(Hd, result, &i.RtxxxDevice_ImageBits,               "RtxxxDevice_ImageBits");
  InitVar(Hd, result, &i.RtxxxDevice_SetImageBitsStb,         "RtxxxDevice_SetImageBitsStb");
  InitVar(Hd, result, &i.RtxxxDevice_ImageBitsStb,            "RtxxxDevice_ImageBitsStb");
  InitVar(Hd, result, &i.RtxxxDevice_SetImageBitsOut,         "RtxxxDevice_SetImageBitsOut");
  InitVar(Hd, result, &i.RtxxxDevice_ImageBitsOut,            "RtxxxDevice_ImageBitsOut");
  InitVar(Hd, result, &i.RtxxxDevice_SetCaptureMode,          "RtxxxDevice_SetCaptureMode");
  InitVar(Hd, result, &i.RtxxxDevice_CaptureMode,             "RtxxxDevice_CaptureMode");
  InitVar(Hd, result, &i.RtxxxDevice_ThroughMode,             "RtxxxDevice_ThroughMode");
  InitVar(Hd, result, &i.RtxxxDevice_CheckInSignal,           "RtxxxDevice_CheckInSignal");
  InitVar(Hd, result, &i.RtxxxDevice_StartCaptureFrame,       "RtxxxDevice_StartCaptureFrame");
  InitVar(Hd, result, &i.RtxxxDevice_StartCaptureStrobe,      "RtxxxDevice_StartCaptureStrobe");
  InitVar(Hd, result, &i.RtxxxDevice_CaptureFrame,            "RtxxxDevice_CaptureFrame");
  InitVar(Hd, result, &i.RtxxxDevice_CaptureStrobe,           "RtxxxDevice_CaptureStrobe");
  InitVar(Hd, result, &i.RtxxxDevice_DmaBufferPtr,            "RtxxxDevice_DmaBufferPtr");
  InitVar(Hd, result, &i.RtxxxDevice_DmaBufferPtrStb,         "RtxxxDevice_DmaBufferPtrStb");
  InitVar(Hd, result, &i.RtxxxDevice_DmaSequenceMode,         "RtxxxDevice_DmaSequenceMode");
  InitVar(Hd, result, &i.RtxxxDevice_CurrentCpuCount,         "RtxxxDevice_CurrentCpuCount");
  InitVar(Hd, result, &i.RtxxxDevice_CpuCount,                "RtxxxDevice_CpuCount");
  InitVar(Hd, result, &i.RtxxxDevice_CpuCountStb,             "RtxxxDevice_CpuCountStb");
  InitVar(Hd, result, &i.RtxxxDevice_GetCpuCount,             "RtxxxDevice_GetCpuCount");
  InitVar(Hd, result, &i.RtxxxDevice_GetCpuFreq,              "RtxxxDevice_GetCpuFreq");
  InitVar(Hd, result, &i.RtxxxDevice_StartOutFrame,           "RtxxxDevice_StartOutFrame");
  InitVar(Hd, result, &i.RtxxxDevice_OutFrame,                "RtxxxDevice_OutFrame");
  InitVar(Hd, result, &i.RtxxxDevice_OutRect,                 "RtxxxDevice_OutRect");
  InitVar(Hd, result, &i.RtxxxDevice_SetCountFrames,          "RtxxxDevice_SetCountFrames");
  InitVar(Hd, result, &i.RtxxxDevice_CountFrames,             "RtxxxDevice_CountFrames");
  InitVar(Hd, result, &i.RtxxxDevice_SetVideoIn,              "RtxxxDevice_SetVideoIn");
  InitVar(Hd, result, &i.RtxxxDevice_VideoIn,                 "RtxxxDevice_VideoIn");
  InitVar(Hd, result, &i.RtxxxDevice_SetPersonalMode,         "RtxxxDevice_SetPersonalMode");
  InitVar(Hd, result, &i.RtxxxDevice_PersonalMode,            "RtxxxDevice_PersonalMode");
  InitVar(Hd, result, &i.RtxxxDevice_SetLeft,                 "RtxxxDevice_SetLeft");
  InitVar(Hd, result, &i.RtxxxDevice_Left,                    "RtxxxDevice_Left");
  InitVar(Hd, result, &i.RtxxxDevice_LeftMin,                 "RtxxxDevice_LeftMin");
  InitVar(Hd, result, &i.RtxxxDevice_LeftMax,                 "RtxxxDevice_LeftMax");
  InitVar(Hd, result, &i.RtxxxDevice_SetTop,                  "RtxxxDevice_SetTop");
  InitVar(Hd, result, &i.RtxxxDevice_Top,                     "RtxxxDevice_Top");
  InitVar(Hd, result, &i.RtxxxDevice_TopMin,                  "RtxxxDevice_TopMin");
  InitVar(Hd, result, &i.RtxxxDevice_TopMax,                  "RtxxxDevice_TopMax");
  InitVar(Hd, result, &i.RtxxxDevice_SetWidth,                "RtxxxDevice_SetWidth");
  InitVar(Hd, result, &i.RtxxxDevice_Width,                   "RtxxxDevice_Width");
  InitVar(Hd, result, &i.RtxxxDevice_WidthMin,                "RtxxxDevice_WidthMin");
  InitVar(Hd, result, &i.RtxxxDevice_WidthMax,                "RtxxxDevice_WidthMax");
  InitVar(Hd, result, &i.RtxxxDevice_SetHeight,               "RtxxxDevice_SetHeight");
  InitVar(Hd, result, &i.RtxxxDevice_Height,                  "RtxxxDevice_Height");
  InitVar(Hd, result, &i.RtxxxDevice_HeightMin,               "RtxxxDevice_HeightMin");
  InitVar(Hd, result, &i.RtxxxDevice_HeightMax,               "RtxxxDevice_HeightMax");
  InitVar(Hd, result, &i.RtxxxDevice_SetLenLine,              "RtxxxDevice_SetLenLine");
  InitVar(Hd, result, &i.RtxxxDevice_LenLine,                 "RtxxxDevice_LenLine");
  InitVar(Hd, result, &i.RtxxxDevice_LenLineMin,              "RtxxxDevice_LenLineMin");
  InitVar(Hd, result, &i.RtxxxDevice_LenLineMax,              "RtxxxDevice_LenLineMax");
  InitVar(Hd, result, &i.RtxxxDevice_SetLeftStb,              "RtxxxDevice_SetLeftStb");
  InitVar(Hd, result, &i.RtxxxDevice_LeftStb,                 "RtxxxDevice_LeftStb");
  InitVar(Hd, result, &i.RtxxxDevice_LeftMinStb,              "RtxxxDevice_LeftMinStb");
  InitVar(Hd, result, &i.RtxxxDevice_LeftMaxStb,              "RtxxxDevice_LeftMaxStb");
  InitVar(Hd, result, &i.RtxxxDevice_SetTopStb,               "RtxxxDevice_SetTopStb");
  InitVar(Hd, result, &i.RtxxxDevice_TopStb,                  "RtxxxDevice_TopStb");
  InitVar(Hd, result, &i.RtxxxDevice_TopMinStb,               "RtxxxDevice_TopMinStb");
  InitVar(Hd, result, &i.RtxxxDevice_TopMaxStb,               "RtxxxDevice_TopMaxStb");
  InitVar(Hd, result, &i.RtxxxDevice_SetWidthStb,             "RtxxxDevice_SetWidthStb");
  InitVar(Hd, result, &i.RtxxxDevice_WidthStb,                "RtxxxDevice_WidthStb");
  InitVar(Hd, result, &i.RtxxxDevice_WidthMinStb,             "RtxxxDevice_WidthMinStb");
  InitVar(Hd, result, &i.RtxxxDevice_WidthMaxStb,             "RtxxxDevice_WidthMaxStb");
  InitVar(Hd, result, &i.RtxxxDevice_SetHeightStb,            "RtxxxDevice_SetHeightStb");
  InitVar(Hd, result, &i.RtxxxDevice_HeightStb,               "RtxxxDevice_HeightStb");
  InitVar(Hd, result, &i.RtxxxDevice_HeightMinStb,            "RtxxxDevice_HeightMinStb");
  InitVar(Hd, result, &i.RtxxxDevice_HeightMaxStb,            "RtxxxDevice_HeightMaxStb");
  InitVar(Hd, result, &i.RtxxxDevice_SetLeftOut,              "RtxxxDevice_SetLeftOut");
  InitVar(Hd, result, &i.RtxxxDevice_LeftOut,                 "RtxxxDevice_LeftOut");
  InitVar(Hd, result, &i.RtxxxDevice_LeftMinOut,              "RtxxxDevice_LeftMinOut");
  InitVar(Hd, result, &i.RtxxxDevice_LeftMaxOut,              "RtxxxDevice_LeftMaxOut");
  InitVar(Hd, result, &i.RtxxxDevice_SetTopOut,               "RtxxxDevice_SetTopOut");
  InitVar(Hd, result, &i.RtxxxDevice_TopOut,                  "RtxxxDevice_TopOut");
  InitVar(Hd, result, &i.RtxxxDevice_TopMinOut,               "RtxxxDevice_TopMinOut");
  InitVar(Hd, result, &i.RtxxxDevice_TopMaxOut,               "RtxxxDevice_TopMaxOut");
  InitVar(Hd, result, &i.RtxxxDevice_SetWidthOut,             "RtxxxDevice_SetWidthOut");
  InitVar(Hd, result, &i.RtxxxDevice_WidthOut,                "RtxxxDevice_WidthOut");
  InitVar(Hd, result, &i.RtxxxDevice_WidthMinOut,             "RtxxxDevice_WidthMinOut");
  InitVar(Hd, result, &i.RtxxxDevice_WidthMaxOut,             "RtxxxDevice_WidthMaxOut");
  InitVar(Hd, result, &i.RtxxxDevice_SetHeightOut,            "RtxxxDevice_SetHeightOut");
  InitVar(Hd, result, &i.RtxxxDevice_HeightOut,               "RtxxxDevice_HeightOut");
  InitVar(Hd, result, &i.RtxxxDevice_HeightMinOut,            "RtxxxDevice_HeightMinOut");
  InitVar(Hd, result, &i.RtxxxDevice_HeightMaxOut,            "RtxxxDevice_HeightMaxOut");
  InitVar(Hd, result, &i.RtxxxDevice_SetLenLineOut,           "RtxxxDevice_SetLenLineOut");
  InitVar(Hd, result, &i.RtxxxDevice_LenLineOut,              "RtxxxDevice_LenLineOut");
  InitVar(Hd, result, &i.RtxxxDevice_LenLineMinOut,           "RtxxxDevice_LenLineMinOut");
  InitVar(Hd, result, &i.RtxxxDevice_LenLineMaxOut,           "RtxxxDevice_LenLineMaxOut");
  InitVar(Hd, result, &i.RtxxxDevice_WinToCentre,             "RtxxxDevice_WinToCentre");
  InitVar(Hd, result, &i.RtxxxDevice_WinStbToCentre,          "RtxxxDevice_WinStbToCentre");
  InitVar(Hd, result, &i.RtxxxDevice_WinOutToCentre,          "RtxxxDevice_WinOutToCentre");
  InitVar(Hd, result, &i.RtxxxDevice_SetAccumMethod,          "RtxxxDevice_SetAccumMethod");
  InitVar(Hd, result, &i.RtxxxDevice_AccumMethod,             "RtxxxDevice_AccumMethod");
  InitVar(Hd, result, &i.RtxxxDevice_SetAccumMode,            "RtxxxDevice_SetAccumMode");
  InitVar(Hd, result, &i.RtxxxDevice_AccumMode,               "RtxxxDevice_AccumMode");
  InitVar(Hd, result, &i.RtxxxDevice_SetAccumValue,	          "RtxxxDevice_SetAccumValue");
  InitVar(Hd, result, &i.RtxxxDevice_AccumValue,	          "RtxxxDevice_AccumValue");
  InitVar(Hd, result, &i.RtxxxDevice_CountAccumFrames,        "RtxxxDevice_CountAccumFrames");
  InitVar(Hd, result, &i.RtxxxDevice_SetAccumMethodStb,       "RtxxxDevice_SetAccumMethodStb");
  InitVar(Hd, result, &i.RtxxxDevice_AccumMethodStb,          "RtxxxDevice_AccumMethodStb");
  InitVar(Hd, result, &i.RtxxxDevice_SetAccumModeStb,         "RtxxxDevice_SetAccumModeStb");
  InitVar(Hd, result, &i.RtxxxDevice_AccumModeStb,            "RtxxxDevice_AccumModeStb");
  InitVar(Hd, result, &i.RtxxxDevice_SetAccumValueStb,	      "RtxxxDevice_SetAccumValueStb");
  InitVar(Hd, result, &i.RtxxxDevice_AccumValueStb,           "RtxxxDevice_AccumValueStb");
  InitVar(Hd, result, &i.RtxxxDevice_CountAccumFramesStb,     "RtxxxDevice_CountAccumFramesStb");
  InitVar(Hd, result, &i.RtxxxDevice_SetContrastMul,          "RtxxxDevice_SetContrastMul");
  InitVar(Hd, result, &i.RtxxxDevice_ContrastMul,             "RtxxxDevice_ContrastMul");
  InitVar(Hd, result, &i.RtxxxDevice_SetContrastOfs,          "RtxxxDevice_SetContrastOfs");
  InitVar(Hd, result, &i.RtxxxDevice_ContrastOfs,             "RtxxxDevice_ContrastOfs");
  InitVar(Hd, result, &i.RtxxxDevice_SetContrastMulStb,       "RtxxxDevice_SetContrastMulStb");
  InitVar(Hd, result, &i.RtxxxDevice_ContrastMulStb,          "RtxxxDevice_ContrastMulStb");
  InitVar(Hd, result, &i.RtxxxDevice_SetContrastOfsStb,       "RtxxxDevice_SetContrastOfsStb");
  InitVar(Hd, result, &i.RtxxxDevice_ContrastOfsStb,          "RtxxxDevice_ContrastOfsStb");
  InitVar(Hd, result, &i.RtxxxDevice_SetLUT,                  "RtxxxDevice_SetLUT");
  InitVar(Hd, result, &i.RtxxxDevice_GetLUT,                  "RtxxxDevice_GetLUT");
  InitVar(Hd, result, &i.RtxxxDevice_SetFilterMode,           "RtxxxDevice_SetFilterMode");
  InitVar(Hd, result, &i.RtxxxDevice_FilterMode,              "RtxxxDevice_FilterMode");
  InitVar(Hd, result, &i.RtxxxDevice_WriteDspOperand,         "RtxxxDevice_WriteDspOperand");
  InitVar(Hd, result, &i.RtxxxDevice_ClearDspOperand,         "RtxxxDevice_ClearDspOperand");
  InitVar(Hd, result, &i.RtxxxDevice_SetDspOperation,         "RtxxxDevice_SetDspOperation");
  InitVar(Hd, result, &i.RtxxxDevice_DspOperation,            "RtxxxDevice_DspOperation");
  InitVar(Hd, result, &i.RtxxxDevice_SetDspLevel,             "RtxxxDevice_SetDspLevel");
  InitVar(Hd, result, &i.RtxxxDevice_DspLevel,                "RtxxxDevice_DspLevel");
  InitVar(Hd, result, &i.RtxxxDevice_SetDspWeight,            "RtxxxDevice_SetDspWeight");
  InitVar(Hd, result, &i.RtxxxDevice_DspWeight,               "RtxxxDevice_DspWeight");
  InitVar(Hd, result, &i.RtxxxDevice_SetRecurseIndex,	      "RtxxxDevice_SetRecurseIndex");
  InitVar(Hd, result, &i.RtxxxDevice_RecurseIndex,	          "RtxxxDevice_RecurseIndex");
  InitVar(Hd, result, &i.RtxxxDevice_WriteDspOperandStb,      "RtxxxDevice_WriteDspOperandStb");
  InitVar(Hd, result, &i.RtxxxDevice_ClearDspOperandStb,      "RtxxxDevice_ClearDspOperandStb");
  InitVar(Hd, result, &i.RtxxxDevice_SetDspOperationStb,      "RtxxxDevice_SetDspOperationStb");
  InitVar(Hd, result, &i.RtxxxDevice_DspOperationStb,         "RtxxxDevice_DspOperationStb");
  InitVar(Hd, result, &i.RtxxxDevice_SetDspLevelStb,          "RtxxxDevice_SetDspLevelStb");
  InitVar(Hd, result, &i.RtxxxDevice_DspLevelStb,             "RtxxxDevice_DspLevelStb");
  InitVar(Hd, result, &i.RtxxxDevice_SetDspWeightStb,         "RtxxxDevice_SetDspWeight");
  InitVar(Hd, result, &i.RtxxxDevice_DspWeightStb,            "RtxxxDevice_DspWeight");
  InitVar(Hd, result, &i.RtxxxDevice_SetRecurseIndexStb,      "RtxxxDevice_SetRecurseIndexStb");
  InitVar(Hd, result, &i.RtxxxDevice_RecurseIndexStb,	      "RtxxxDevice_RecurseIndexStb");
  InitVar(Hd, result, &i.RtxxxDevice_SetStatisticsChanel,     "RtxxxDevice_SetStatisticsChanel");
  InitVar(Hd, result, &i.RtxxxDevice_StatisticsChanel,        "RtxxxDevice_StatisticsChanel");
  InitVar(Hd, result, &i.RtxxxDevice_GetMinMax,               "RtxxxDevice_GetMinMax");
  InitVar(Hd, result, &i.RtxxxDevice_SetHistogramMode,        "RtxxxDevice_SetHistogramMode");
  InitVar(Hd, result, &i.RtxxxDevice_HistogramMode,           "RtxxxDevice_HistogramMode");
  InitVar(Hd, result, &i.RtxxxDevice_GetHistogram,            "RtxxxDevice_GetHistogram");
  InitVar(Hd, result, &i.RtxxxDevice_GetHardHistogram,        "RtxxxDevice_GetHardHistogram");
  InitVar(Hd, result, &i.RtxxxDevice_GetCfgBlockSize,         "RtxxxDevice_GetCfgBlockSize");
  InitVar(Hd, result, &i.RtxxxDevice_GetCfg,                  "RtxxxDevice_GetCfg");
  InitVar(Hd, result, &i.RtxxxDevice_SetCfg,                  "RtxxxDevice_SetCfg");
  InitVar(Hd, result, &i.RtxxxDevice_SetCfgDefault,           "RtxxxDevice_SetCfgDefault");
  InitVar(Hd, result, &i.RtxxxDevice_LoadCfg,                 "RtxxxDevice_LoadCfg");
  InitVar(Hd, result, &i.RtxxxDevice_SaveCfg,                 "RtxxxDevice_SaveCfg");
  InitVar(Hd, result, &i.RtxxxDevice_SetIoDirection,          "RtxxxDevice_SetIoDirection");
  InitVar(Hd, result, &i.RtxxxDevice_IoDirection,             "RtxxxDevice_IoDirection");
  InitVar(Hd, result, &i.RtxxxDevice_OutPort,                 "RtxxxDevice_OutPort");
  InitVar(Hd, result, &i.RtxxxDevice_InPort,                  "RtxxxDevice_InPort");
  InitVar(Hd, result, &i.RtxxxDevice_WaitPulse,               "RtxxxDevice_WaitPulse");
  InitVar(Hd, result, &i.RtxxxDevice_OutSyncPulse,            "RtxxxDevice_OutSyncPulse");
  InitVar(Hd, result, &i.RtxxxDevice_ShowControlPanel,        "RtxxxDevice_ShowControlPanel");
  InitVar(Hd, result, &i.RtxxxDevice_SetControlPanelPos,      "RtxxxDevice_SetControlPanelPos");
  InitVar(Hd, result, &i.RtxxxDevice_GetControlPanelPos,      "RtxxxDevice_GetControlPanelPos");
  InitVar(Hd, result, &i.RtxxxDevice_HideControlPanel,        "RtxxxDevice_HideControlPanel");
  InitVar(Hd, result, &i.RtxxxDevice_WriteBank,               "RtxxxDevice_WriteBank");
  InitVar(Hd, result, &i.RtxxxDevice_ClearBank,               "RtxxxDevice_ClearBank");
  InitVar(Hd, result, &i.RtxxxDevice_ReadBank,                "RtxxxDevice_ReadBank");
  InitVar(Hd, result, &i.RtxxxDevice_GetDriverInfo,           "RtxxxDevice_GetDriverInfo");
  InitVar(Hd, result, &i.RtxxxDevice_InReg,                   "RtxxxDevice_InReg");
  InitVar(Hd, result, &i.RtxxxDevice_OutReg,                  "RtxxxDevice_OutReg");
  InitVar(Hd, result, &i.RtxxxDevice_InVar,                   "RtxxxDevice_InVar");
  InitVar(Hd, result, &i.RtxxxDevice_OutVar,                  "RtxxxDevice_OutVar");
  InitVar(Hd, result, &i.RtxxxDevice_SetCapturePriority,      "RtxxxDevice_SetCapturePriority");
  InitVar(Hd, result, &i.RtxxxDevice_CapturePriority,         "RtxxxDevice_CapturePriority");
  InitVar(Hd, result, &i.RtxxxDevice_SetTime,		          "RtxxxDevice_SetTime");
  InitVar(Hd, result, &i.RtxxxDevice_GetTime,		          "RtxxxDevice_GetTime");
  InitVar(Hd, result, &i.RtxxxDevice_GetTimeBeginCapture,     "RtxxxDevice_GetTimeBeginCapture");
  InitVar(Hd, result, &i.RtxxxDevice_CreateMemoryBuffer,      "RtxxxDevice_CreateMemoryBuffer");
  InitVar(Hd, result, &i.RtxxxDevice_FreeMemoryBuffer,        "RtxxxDevice_FreeMemoryBuffer");
  return result;
}

BOOL ConnectToVPxxxInterface(HINSTANCE Hd, TVpInterface& i)
{
  return ConnectToRt8xxLibrary(Hd, i);
}

BOOL ConnectToDCxxxInterface(HINSTANCE Hd, TDcInterface& i)
{
  if (ConnectToRt8xxLibrary == FALSE) return FALSE;
  bool result = TRUE;
  InitVar(Hd, result, &i.RtxxxDevice_SetTestMode,             "RtxxxDevice_SetTestMode");
  InitVar(Hd, result, &i.RtxxxDevice_TestMode,                "RtxxxDevice_TestMode");
  InitVar(Hd, result, &i.RtxxxDevice_SetClockDivider,         "RtxxxDevice_SetClockDivider");
  InitVar(Hd, result, &i.RtxxxDevice_ClockDivider,            "RtxxxDevice_ClockDivider");
  InitVar(Hd, result, &i.RtxxxDevice_SetShutterMode,          "RtxxxDevice_SetShutterMode");
  InitVar(Hd, result, &i.RtxxxDevice_ShutterMode,             "RtxxxDevice_ShutterMode");
  InitVar(Hd, result, &i.RtxxxDevice_SetShutter,              "RtxxxDevice_SetShutter");
  InitVar(Hd, result, &i.RtxxxDevice_Shutter,                 "RtxxxDevice_Shutter");
  InitVar(Hd, result, &i.RtxxxDevice_SetGainX,                "RtxxxDevice_SetGainX");
  InitVar(Hd, result, &i.RtxxxDevice_GainX,                   "RtxxxDevice_GainX");
  InitVar(Hd, result, &i.RtxxxDevice_SetGainY,                "RtxxxDevice_SetGainY");
  InitVar(Hd, result, &i.RtxxxDevice_GainY,                   "RtxxxDevice_GainY");
  InitVar(Hd, result, &i.RtxxxDevice_SetOffsetX,              "RtxxxDevice_SetOffsetX");
  InitVar(Hd, result, &i.RtxxxDevice_OffsetX,                 "RtxxxDevice_OffsetX");
  InitVar(Hd, result, &i.RtxxxDevice_SetOffsetY,              "RtxxxDevice_SetOffsetY");
  InitVar(Hd, result, &i.RtxxxDevice_OffsetY,                 "RtxxxDevice_OffsetY");
  InitVar(Hd, result, &i.RtxxxDevice_SetPhase1,               "RtxxxDevice_SetPhase1");
  InitVar(Hd, result, &i.RtxxxDevice_Phase1,                  "RtxxxDevice_Phase1");
  InitVar(Hd, result, &i.RtxxxDevice_SetPhase2,               "RtxxxDevice_SetPhase2");
  InitVar(Hd, result, &i.RtxxxDevice_Phase2,                  "RtxxxDevice_Phase2");
  InitVar(Hd, result, &i.RtxxxDevice_SetPhase3,               "RtxxxDevice_SetPhase3");
  InitVar(Hd, result, &i.RtxxxDevice_Phase3,                  "RtxxxDevice_Phase3");
  InitVar(Hd, result, &i.RtxxxDevice_SetPhase4,               "RtxxxDevice_SetPhase4");
  InitVar(Hd, result, &i.RtxxxDevice_Phase4,                  "RtxxxDevice_Phase4");
  InitVar(Hd, result, &i.RtxxxDevice_SetThresholds,           "RtxxxDevice_SetThresholds");
  InitVar(Hd, result, &i.RtxxxDevice_GetThresholds,           "RtxxxDevice_GetThresholds");
  InitVar(Hd, result, &i.RtxxxDevice_GetPixelsCount,          "RtxxxDevice_GetPixelsCount");
  InitVar(Hd, result, &i.RtxxxDevice_SetMarkerPos,            "RtxxxDevice_SetMarkerPos");
  InitVar(Hd, result, &i.RtxxxDevice_GetMarkerPos,            "RtxxxDevice_GetMarkerPos");

  return result;
}
