//******************************************************************************
//*                     Raster Technolodgy SDK v2.xx                           *
//*                     Rt8xxClassDll v2.07.0.0                          *
//*               Copyright (C)  " ", 2003-2007              *
//*                       :                             *
//*          phone: (495) 789-93-67,  e-mail: rastr_support@mail.ru            *
//******************************************************************************

Unit RT8xxClassDll;

INTERFACE

Uses Windows, Rt8xxTypes, TvSignal, RtDrvClass;

CONST

  RT8XXDEF_VERSION         = $02070000;


TYPE


TRt8xxDevice=Class(TObject)
Private
  Hd:        longword;
Public
  SelectDevice:              Function(index: integer):boolean;stdcall;
  DeviceIndex:               Function: integer;stdcall;
  CreateDevice:              Procedure;stdcall;
  Open:                      Function(deviceName, firmwareName: PChar):integer;stdcall;
  GetDeviceInfo:             Procedure(var info:TDeviceInfo);stdcall;
  Close:                     Procedure;stdcall;
  DestroyDevice:             Procedure;stdcall;
  CheckSignalFields:         Function(signal: TSignal; chanel:integer):boolean;stdcall;
  SetInSignal:               Function(signal: TSignal):boolean;stdcall;
  GetInSignal:               Procedure(var signal:TSignal);stdcall;
  SetOutSignal:              Function(signal: TSignal):boolean;stdcall;
  GetOutSignal:              Procedure(var signal:TSignal);stdcall;
  SetCaptureRange:           Function(value: integer):boolean;stdcall;
  CaptureRange:              Function:integer;stdcall;
  SetExternalSyncMode:       Function(value: integer):boolean;stdcall;
  ExternalSyncMode:          Function:integer;stdcall;
  FreqPixel:                 Function:single;stdcall;
  FreqFrame:                 Function:single;stdcall;
  TimeFrame:                 Function:single;stdcall;
  FreqPixelOut:              Function:single;stdcall;
  FreqFrameOut:              Function:single;stdcall;
  TimeFrameOut:              Function:single;stdcall;
  TimeCapture:               Function:single;stdcall;
  TimeCaptureStb:            Function:single;stdcall;
  SetBrightness:             Function(brightness: integer):boolean;stdcall;
  Brightness:                Function:integer;stdcall;
  SetContrast:               Function(contrast: integer):boolean;stdcall;
  Contrast:                  Function:integer;stdcall;
  AutoBrightnessContrast:    Function(OnTerminated: TEventProc):boolean;stdcall;
  SetBrightnessOut:          Function(brightness: integer):boolean;stdcall;
  BrightnessOut:             Function:integer;stdcall;
  SetContrastOut:            Function(contrast: integer):boolean;stdcall;
  ContrastOut:               Function:integer;stdcall;
  OffsetBlack:               Function:integer;stdcall;
  SetOffsetBlack:            Function(value: integer):boolean;stdcall;
  SetInverseOrderLines:      Function(switch: boolean):boolean;stdcall;
  InverseOrderLines:         Function:boolean;stdcall;
  SetInverseOrderLinesOut:   Function(switch: boolean):boolean;stdcall;
  InverseOrderLinesOut:      Function:boolean;stdcall;
  SetSerialOrderFrames:      Function(switch: boolean):boolean;stdcall;
  SerialOrderFrames:         Function:boolean;stdcall;
  SetSerialOrderFramesOut:   Function(switch: boolean):boolean;stdcall;
  SerialOrderFramesOut:      Function:boolean;stdcall;
  SetSerialOrderFields:      Function(switch: boolean):boolean;stdcall;
  SerialOrderFields:         Function:boolean;stdcall;
  SetSerialOrderFieldsOut:   Function(switch: boolean):boolean;stdcall;
  SerialOrderFieldsOut:      Function:boolean;stdcall;
  SetFieldsShowMode:         Function(value: integer):boolean;stdcall;
  FieldsShowMode:            Function:integer;stdcall;
  SetMirrorMode:             Function(value: integer):boolean;stdcall;
  MirrorMode:                Function:integer;stdcall;
  SetScalingMode:            Function(switch: boolean):boolean;stdcall;
  ScalingMode:               Function:boolean;stdcall;
  SetShowStrobeRect:         Function(switch: boolean):boolean;stdcall;
  ShowStrobeRect:            Function:boolean;stdcall;
  SetShowOut:                Function(switch: boolean):boolean;stdcall;
  ShowOut:                   Function:boolean;stdcall;
  SetOneFieldMode:           Function(switch: boolean):boolean;stdcall;
  OneFieldMode:              Function:boolean;stdcall;
  SetSyncInOutSignals:       Function(switch: boolean):boolean;stdcall;
  SyncInOutSignals:          Function:boolean;stdcall;
  SetADCBits:                Function(bits: longword):boolean;stdcall;
  ADCBits:                   Function:longword;stdcall;
  SetADCBitsStb:             Function(bits: longword):boolean;stdcall;
  ADCBitsStb:                Function:longword;stdcall;
  SetDACBits:                Function(bits: longword):boolean;stdcall;
  DACBits:                   Function:longword;stdcall;
  ADCMax:                    Function:longword;stdcall;
  DACMax:                    Function:longword;stdcall;
  SetImageBits:              Function(bits: longword):boolean;stdcall;
  ImageBits:                 Function:longword;stdcall;
  SetImageBitsStb:           Function(bits: longword):boolean;stdcall;
  ImageBitsStb:              Function:longword;stdcall;
  SetImageBitsOut:           Function(bits: longword):boolean;stdcall;
  ImageBitsOut:              Function:longword;stdcall;
  SetCaptureMode:            Function(mode: integer):boolean;stdcall;
  CaptureMode:               Function:integer;stdcall;
  ThroughMode:               Function:boolean;stdcall;
  CheckInSignal:             Function: boolean;stdcall;
  StartCaptureFrame:         Function(OnCapture: TEventProc):boolean;stdcall;
  StartCaptureStrobe:        Function(OnCapture: TEventProc):boolean;stdcall;
  CaptureFrame:              Function(pDest: pointer; stream: boolean):boolean;stdcall;
  CaptureStrobe:             Function(pDest: pointer; stream: boolean):boolean;stdcall;
  CopyFrame:                 Procedure(pSource,pDest: pointer);stdcall;
  CopyStrobe:                Procedure(pSource,pDest: pointer);stdcall;
  DmaBufferPtr:              Function:pointer;stdcall;
  DmaBufferPtrStb:           Function:pointer;stdcall;
  DmaSequenceMode:           Function:boolean;stdcall;
  CurrentCpuCount:           Function:int64;stdcall;
  CpuCount:                  Function:int64;stdcall;
  CpuCountStb:               Function:int64;stdcall;
  GetCpuCount:               Function(moment: integer):int64;stdcall;
  GetCpuFreq:                Function:single;stdcall;
  StartOutFrame:             Function(OnOutFrame: TEventProc):boolean;stdcall;
  OutFrame:                  Function(pSource: pointer):boolean;stdcall;
  OutRect:                   Function(pSource: pointer; left,top,width,height:integer):boolean;stdcall;
  SetCountFrames:            Function(value: longword):boolean;stdcall;
  CountFrames:               Function:longword;stdcall;
  SetVideoIn:                Function(tvIn: longword):boolean;stdcall;
  VideoIn:                   Function:longword;stdcall;
  SetPersonalMode:           Function(switch: boolean):boolean;stdcall;
  PersonalMode:              Function:boolean;stdcall;
  SetLeft:                   Procedure(value: integer);stdcall;
  Left:                      Function:integer;stdcall;
  LeftMin:                   Function:integer;stdcall;
  LeftMax:                   Function: integer;stdcall;
  SetTop:                    Procedure(value: integer);stdcall;
  Top:                       Function: integer;stdcall;
  TopMin:                    Function: integer;stdcall;
  TopMax:                    Function:integer;stdcall;
  SetWidth:                  Procedure(value: integer);stdcall;
  Width:                     Function:integer;stdcall;
  WidthMin:                  Function:integer;stdcall;
  WidthMax:                  Function:integer;stdcall;
  SetHeight:                 Procedure(value: integer);stdcall;
  Height:                    Function:integer;stdcall;
  HeightMin:                 Function:integer;stdcall;
  HeightMax:                 Function:integer;stdcall;
  SetLenLine:                Procedure(value: integer);stdcall;
  LenLine:                   Function:integer;stdcall;
  LenLineMin:                Function:integer;stdcall;
  LenLineMax:                Function:integer;stdcall;
  SetLeftStb:                Procedure(value: integer);stdcall;
  LeftStb:                   Function:integer;stdcall;
  LeftMinStb:                Function:integer;stdcall;
  LeftMaxStb:                Function:integer;stdcall;
  SetTopStb:                 Procedure(value: integer);stdcall;
  TopStb:                    Function:integer;stdcall;
  TopMinStb:                 Function:integer;stdcall;
  TopMaxStb:                 Function:integer;stdcall;
  SetWidthStb:               Procedure(value: integer);stdcall;
  WidthStb:                  Function:integer;stdcall;
  WidthMinStb:               Function:integer;stdcall;
  WidthMaxStb:               Function:integer;stdcall;
  SetHeightStb:              Procedure(value: integer);stdcall;
  HeightStb:                 Function:integer;stdcall;
  HeightMinStb:              Function:integer;stdcall;
  HeightMaxStb:              Function:integer;stdcall;
  SetLeftOut:                Procedure(value: integer);stdcall;
  LeftOut:                   Function:integer;stdcall;
  LeftMinOut:                Function:integer;stdcall;
  LeftMaxOut:                Function:integer;stdcall;
  SetTopOut:                 Procedure(value: integer);stdcall;
  TopOut:                    Function:integer;stdcall;
  TopMinOut:                 Function:integer;stdcall;
  TopMaxOut:                 Function:integer;stdcall;
  SetWidthOut:               Procedure(value: integer);stdcall;
  WidthOut:                  Function:integer;stdcall;
  WidthMinOut:               Function:integer;stdcall;
  WidthMaxOut:               Function:integer;stdcall;
  SetHeightOut:              Procedure(value: integer);stdcall;
  HeightOut:                 Function:integer;stdcall;
  HeightMinOut:              Function:integer;stdcall;
  HeightMaxOut:              Function:integer;stdcall;
  SetLenLineOut:             Procedure(value: integer);stdcall;
  LenLineOut:                Function:integer;stdcall;
  LenLineMinOut:             Function:integer;stdcall;
  LenLineMaxOut:             Function:integer;stdcall;
  WinToCentre:               Procedure;stdcall;
  WinStbToCentre:            Procedure;stdcall;
  WinOutToCentre:            Procedure;stdcall;
  SetAccumMethod:            Function(method: integer):boolean;stdcall;
  AccumMethod:               Function:integer;stdcall;
  SetAccumMode:              Function(mode: TAccumMode):boolean;stdcall;
  AccumMode:                 Function:TAccumMode;stdcall;
  SetAccumValue:             Function(value: integer):boolean;stdcall;
  AccumValue:                Function:integer;stdcall;
  CountAccumFrames:          Function:integer;stdcall;
  SetAccumMethodStb:         Function(method: integer):boolean;stdcall;
  AccumMethodStb:            Function:integer;stdcall;
  SetAccumModeStb:           Function(mode: TAccumMode):boolean;stdcall;
  AccumModeStb:              Function:TAccumMode;stdcall;
  SetAccumValueStb:          Function(value: integer):boolean;stdcall;
  AccumValueStb:             Function:integer;stdcall;
  CountAccumFramesStb:       Function:longword;stdcall;
  SetContrastMul:            Function(mul: integer):boolean;stdcall;
  ContrastMul:               Function:integer;stdcall;
  SetContrastOfs:            Function(ofs: integer):boolean;stdcall;
  ContrastOfs:               Function:longword;stdcall;
  SetContrastMulStb:         Function(mul: integer):boolean;stdcall;
  ContrastMulStb:            Function:integer;stdcall;
  SetContrastOfsStb:         Function(ofs: integer):boolean;stdcall;
  ContrastOfsStb:            Function:integer;stdcall;
  SetLUT:                    Function(pTable:pointer):boolean;stdcall;
  GetLUT:                    Procedure(pTable:pointer);stdcall;
  SetFilterMode:             Function(mode: integer):boolean;stdcall;
  FilterMode:                Function:integer;stdcall;
  WriteDspOperand:           Function(pSource: pointer; bits: longword; inverseOrderLines, serialOrderFields:boolean):boolean;stdcall;
  ClearDspOperand:           Function:boolean;stdcall;
  SetDspOperation:           Function(operation: TDspOperation):boolean;stdcall;
  DspOperation:              Function:TDspOperation;stdcall;
  SetDspLevel:               Function(value: integer):boolean;stdcall;
  DspLevel:                  Function:integer;stdcall;
  SetDspWeight:              Function(value: integer):boolean;stdcall;
  DspWeight:                 Function:integer;stdcall;
  WriteDspOperandStb:        Function(pSource: pointer; bits: longword; inverseOrderLines, serialOrderFields:boolean):boolean;stdcall;
  ClearDspOperandStb:        Function:boolean;stdcall;
  SetDspOperationStb:        Function(operation: TDspOperation):boolean;stdcall;
  DspOperationStb:           Function:TDspOperation;stdcall;
  SetDspLevelStb:            Function(value: integer):boolean;stdcall;
  DspLevelStb:               Function:integer;stdcall;
  SetDspWeightStb:           Function(value: integer):boolean;stdcall;
  DspWeightStb:              Function:integer;stdcall;
  SetRecurseIndex:           Function(value: integer):boolean;stdcall;
  RecurseIndex:              Function:integer;stdcall;
  SetRecurseIndexStb:        Function(value: integer):boolean;stdcall;
  RecurseIndexStb:           Function:integer;stdcall;
  SetStatisticsChanel:       Function(mode:integer):boolean;stdcall;
  StatisticsChanel:          Function:integer;stdcall;
  GetMinMax:                 Procedure(var min,max: longword);stdcall;
  SetHistogramMode:          Function(switch: boolean):boolean;stdcall;
  HistogramMode:             Function:boolean;stdcall;
  GetHistogram:              Function(var pHistogram: pointer;var indexMax,bits:longword):boolean;stdcall;
  GetHardHistogram:          Function(var pHistogram: pointer;var indexMax,bits:longword):boolean;stdcall;
  GetCfgBlockSize:           Function:longword;stdcall;
  GetCfg:                    Procedure(pCfgBlock: pointer);stdcall;
  SetCfg:                    Function(pCfgBlock: pointer):boolean;stdcall;
  SetCfgDefault:             Function:boolean;stdcall;
  LoadCfg:                   Function:integer;stdcall;
  SaveCfg:                   Function:integer;stdcall;
  SetIoDirection:            Function(direction: longword):boolean;stdcall;
  IoDirection:               Function:longword;stdcall;
  OutPort:                   Procedure(value: longword);stdcall;
  InPort:                    Function:longword;stdcall;
  WaitPulse:                 Function(line,polarity,timeWaitMs: longword; newPulse:boolean; OnIoChange:TEventProc):boolean;stdcall;
  OutSyncPulse:              Function(line, mode: longword):boolean;stdcall;

  ShowControlPanel:          Function(hd: longword; flags: longword; onHide: TNotifyProc):boolean;stdcall;
  SetControlPanelPos:        Function(left, top: integer):boolean;stdcall;
  GetControlPanelPos:        Function(var left, top: integer):boolean;stdcall;
  HideControlPanel:          Function:boolean;stdcall;
  WriteBank:                 Function(pSource: pointer; bank, offset, numBytes: longword):boolean;stdcall;
  ClearBank:                 Function(bank, offset, numBytes, value: longword):boolean;stdcall;
  ReadBank:                  Function(pSource: pointer; bank, offset, numBytes: longword):boolean;stdcall;
  GetDriverInfo:             Procedure(var info: TDriverInfo);stdcall;
  InReg:                     Function(address: longword):longword;stdcall;
  OutReg:                    Procedure(address, value: longword);stdcall;
  InVar:                     Function(address: longword):longword;stdcall;
  OutVar:                    Procedure(address, value: longword);stdcall;

  SetCapturePriority:        Function(priority: TCapturePriority):boolean;stdcall;
  CapturePriority:           Function:TCapturePriority;stdcall;

  CreateMemoryBuffer:        Function(var physicalAddr, length: longword; var logicalAddr: pointer):integer;stdcall;
  FreeMemoryBuffer:          Procedure;stdcall;


  SetTime:                   Function(devTime: TDeviceTime):boolean;stdcall;
  GetTime:                   Function(var devTime: TDeviceTime):boolean;stdcall;
  GetTimeBeginCapture:       Function(var devTime: TDeviceTime):boolean;stdcall;

  SetFreqDivider:            Function(value: longword):boolean;stdcall;
  FreqDivider:               Function:longword;stdcall;

  Constructor Create;
  Destructor  Destroy;//override;
  Function ConnectToLibrary(name: string):boolean;
  Procedure DisconnectFromLibrary;

end;

Function CheckRt8xxLibrary(Hd: longword):integer;

VAR
  LibraryInterfaceVersion:    Function:longword;stdcall;
  LibraryVersion:             Function:longword;stdcall;
  LibraryGetInfo:             Function(info: PChar):longword;stdcall;
  GetDevicesList:             Function(var List: TItemsList):integer;stdcall;
  GetFirmwaresList:           Function(var List: TItemsList):integer;stdcall;

IMPLEMENTATION

Procedure InitVar(hd: longword; var result:boolean; var addr; name: PChar);
   Var
     p: ^longword;
   Begin
     p:=@addr;
     p^:=Longword(GetProcAddress(hd, name));
     result:=result and (p^<>0);
   End;

Function CheckRt8xxLibrary;
   Var
     f:  boolean;
   Begin
     f:=TRUE;
     result:=2;
     InitVar(hd, f, LibraryInterfaceVersion, 'RtxxxLibrary_InterfaceVersion');
     InitVar(hd, f, LibraryInterfaceVersion, 'RtxxxLibrary_InterfaceVersion');
     InitVar(hd, f, LibraryVersion,          'RtxxxLibrary_Version');
     InitVar(hd, f, LibraryGetInfo,          'RtxxxLibrary_GetInfo');
     InitVar(hd, f, GetDevicesList,          'RtxxxDevice_GetDevicesList');
     InitVar(hd, f, GetFirmwaresList,        'RtxxxDevice_GetFirmwaresList');
     If f=FALSE then Exit;
     result:=1;
     If LibraryInterfaceVersion<RT8XXDEF_VERSION then Exit;
     result:=0;
   End;

Function TRt8xxDevice.ConnectToLibrary;
   Begin
     If Hd<>INVALID_HANDLE_VALUE then
       Begin
         DestroyDevice;
         FreeLibrary(Hd);
         Hd:=INVALID_HANDLE_VALUE;
       end;

     result:=FALSE;
     Hd:=LoadLibrary(PChar(name));
     If Hd=INVALID_HANDLE_VALUE then Exit;

     If CheckRt8xxLibrary(Hd)<>0 then Exit;
     result:=TRUE;
     InitVar(Hd, result, SelectDevice,             'RtxxxDevice_SelectDevice');
     InitVar(Hd, result, DeviceIndex,              'RtxxxDevice_DeviceIndex');
     InitVar(Hd, result, CreateDevice,             'RtxxxDevice_Create');
     InitVar(Hd, result, Open,                     'RtxxxDevice_Open');
     InitVar(Hd, result, GetDeviceInfo,            'RtxxxDevice_GetDeviceInfo');
     InitVar(Hd, result, Close,                    'RtxxxDevice_Close');
     InitVar(Hd, result, DestroyDevice,            'RtxxxDevice_Destroy');
     InitVar(Hd, result, CheckSignalFields,        'RtxxxDevice_CheckSignalFields');
     InitVar(Hd, result, SetInSignal,              'RtxxxDevice_SetInSignal');
     InitVar(Hd, result, GetInSignal,              'RtxxxDevice_GetInSignal');
     InitVar(Hd, result, SetOutSignal,             'RtxxxDevice_SetOutSignal');
     InitVar(Hd, result, GetOutSignal,             'RtxxxDevice_GetOutSignal');
     InitVar(Hd, result, SetCaptureRange,          'RtxxxDevice_SetCaptureRange');
     InitVar(Hd, result, CaptureRange,             'RtxxxDevice_CaptureRange');
     InitVar(Hd, result, SetExternalSyncMode,      'RtxxxDevice_SetExternalSyncMode');
     InitVar(Hd, result, ExternalSyncMode,         'RtxxxDevice_ExternalSyncMode');
     InitVar(Hd, result, FreqPixel,                'RtxxxDevice_FreqPixel');
     InitVar(Hd, result, FreqFrame,                'RtxxxDevice_FreqFrame');
     InitVar(Hd, result, TimeFrame,                'RtxxxDevice_TimeFrame');
     InitVar(Hd, result, FreqPixelOut,             'RtxxxDevice_FreqPixelOut');
     InitVar(Hd, result, FreqFrameOut,             'RtxxxDevice_FreqFrameOut');
     InitVar(Hd, result, TimeFrameOut,             'RtxxxDevice_TimeFrameOut');
     InitVar(Hd, result, TimeCapture,              'RtxxxDevice_TimeCapture');
     InitVar(Hd, result, TimeCaptureStb,           'RtxxxDevice_TimeCaptureStb');
     InitVar(Hd, result, SetBrightness,            'RtxxxDevice_SetBrightness');
     InitVar(Hd, result, Brightness,               'RtxxxDevice_Brightness');
     InitVar(Hd, result, SetContrast,              'RtxxxDevice_SetContrast');
     InitVar(Hd, result, Contrast,                 'RtxxxDevice_Contrast');
     InitVar(Hd, result, AutoBrightnessContrast,   'RtxxxDevice_AutoBrightnessContrast');

     InitVar(Hd, result, SetBrightnessOut,         'RtxxxDevice_SetBrightnessOut');
     InitVar(Hd, result, BrightnessOut,            'RtxxxDevice_BrightnessOut');
     InitVar(Hd, result, SetContrastOut,           'RtxxxDevice_SetContrastOut');
     InitVar(Hd, result, ContrastOut,              'RtxxxDevice_ContrastOut');
     
     InitVar(Hd, result, OffsetBlack,              'RtxxxDevice_OffsetBlack');
     InitVar(Hd, result, SetOffsetBlack,           'RtxxxDevice_SetOffsetBlack');
     InitVar(Hd, result, SetInverseOrderLines,     'RtxxxDevice_SetInverseOrderLines');
     InitVar(Hd, result, InverseOrderLines,        'RtxxxDevice_InverseOrderLines');
     InitVar(Hd, result, SetInverseOrderLinesOut,  'RtxxxDevice_SetInverseOrderLinesOut');
     InitVar(Hd, result, InverseOrderLinesOut,     'RtxxxDevice_InverseOrderLinesOut');
     InitVar(Hd, result, SetSerialOrderFrames,     'RtxxxDevice_SetSerialOrderFrames');
     InitVar(Hd, result, SerialOrderFrames,        'RtxxxDevice_SerialOrderFrames');
     InitVar(Hd, result, SetSerialOrderFramesOut,  'RtxxxDevice_SetSerialOrderFramesOut');
     InitVar(Hd, result, SerialOrderFramesOut,     'RtxxxDevice_SerialOrderFramesOut');
     InitVar(Hd, result, SetSerialOrderFields,     'RtxxxDevice_SetSerialOrderFields');
     InitVar(Hd, result, SerialOrderFields,        'RtxxxDevice_SerialOrderFields');
     InitVar(Hd, result, SetSerialOrderFieldsOut,  'RtxxxDevice_SetSerialOrderFieldsOut');
     InitVar(Hd, result, SerialOrderFieldsOut,     'RtxxxDevice_SerialOrderFieldsOut');
     InitVar(Hd, result, SetFieldsShowMode,        'RtxxxDevice_SetFieldsShowMode');
     InitVar(Hd, result, FieldsShowMode,           'RtxxxDevice_FieldsShowMode');
     InitVar(Hd, result, SetMirrorMode,            'RtxxxDevice_SetMirrorMode');
     InitVar(Hd, result, MirrorMode,               'RtxxxDevice_MirrorMode');
     InitVar(Hd, result, SetScalingMode,           'RtxxxDevice_SetScalingMode');
     InitVar(Hd, result, ScalingMode,              'RtxxxDevice_ScalingMode');
     InitVar(Hd, result, SetShowStrobeRect,        'RtxxxDevice_SetShowStrobeRect');
     InitVar(Hd, result, ShowStrobeRect,           'RtxxxDevice_ShowStrobeRect');
     InitVar(Hd, result, SetShowOut,               'RtxxxDevice_SetShowOut');
     InitVar(Hd, result, ShowOut,                  'RtxxxDevice_ShowOut');
     InitVar(Hd, result, SetOneFieldMode,          'RtxxxDevice_SetOneFieldMode');
     InitVar(Hd, result, OneFieldMode,             'RtxxxDevice_OneFieldMode');
     InitVar(Hd, result, SetSyncInOutSignals,      'RtxxxDevice_SetSyncInOutSignals');
     InitVar(Hd, result, SyncInOutSignals,         'RtxxxDevice_SyncInOutSignals');
     InitVar(Hd, result, SetADCBits,               'RtxxxDevice_SetADCBits');
     InitVar(Hd, result, ADCBits,                  'RtxxxDevice_ADCBits');
     InitVar(Hd, result, SetADCBitsStb,            'RtxxxDevice_SetADCBitsStb');
     InitVar(Hd, result, ADCBitsStb,               'RtxxxDevice_ADCBitsStb');
     InitVar(Hd, result, SetDACBits,               'RtxxxDevice_SetDACBits');
     InitVar(Hd, result, DACBits,                  'RtxxxDevice_DACBits');
     InitVar(Hd, result, ADCMax,                   'RtxxxDevice_ADCMax');
     InitVar(Hd, result, DACMax,                   'RtxxxDevice_DACMax');
     InitVar(Hd, result, SetImageBits,             'RtxxxDevice_SetImageBits');
     InitVar(Hd, result, ImageBits,                'RtxxxDevice_ImageBits');
     InitVar(Hd, result, SetImageBitsStb,          'RtxxxDevice_SetImageBitsStb');
     InitVar(Hd, result, ImageBitsStb,             'RtxxxDevice_ImageBitsStb');
     InitVar(Hd, result, SetImageBitsOut,          'RtxxxDevice_SetImageBitsOut');
     InitVar(Hd, result, ImageBitsOut,             'RtxxxDevice_ImageBitsOut');
     InitVar(Hd, result, SetCaptureMode,           'RtxxxDevice_SetCaptureMode');
     InitVar(Hd, result, CaptureMode,              'RtxxxDevice_CaptureMode');
     InitVar(Hd, result, ThroughMode,              'RtxxxDevice_ThroughMode');
     InitVar(Hd, result, CheckInSignal,            'RtxxxDevice_CheckInSignal');
     InitVar(Hd, result, StartCaptureFrame,        'RtxxxDevice_StartCaptureFrame');
     InitVar(Hd, result, StartCaptureStrobe,       'RtxxxDevice_StartCaptureStrobe');
     InitVar(Hd, result, CaptureFrame,             'RtxxxDevice_CaptureFrame');
     InitVar(Hd, result, CaptureStrobe,            'RtxxxDevice_CaptureStrobe');
     InitVar(Hd, result, DmaBufferPtr,             'RtxxxDevice_DmaBufferPtr');
     InitVar(Hd, result, DmaBufferPtrStb,          'RtxxxDevice_DmaBufferPtrStb');
     InitVar(Hd, result, DmaSequenceMode,          'RtxxxDevice_DmaSequenceMode');
     InitVar(Hd, result, CpuCount,                 'RtxxxDevice_CpuCount');
     InitVar(Hd, result, CpuCountStb,              'RtxxxDevice_CpuCountStb');
     InitVar(Hd, result, CurrentCpuCount,          'RtxxxDevice_CurrentCpuCount');
     InitVar(Hd, result, GetCpuCount,              'RtxxxDevice_GetCpuCount');
     InitVar(Hd, result, GetCpuFreq,               'RtxxxDevice_GetCpuFreq');
     InitVar(Hd, result, StartOutFrame,            'RtxxxDevice_StartOutFrame');
     InitVar(Hd, result, OutFrame,                 'RtxxxDevice_OutFrame');
     InitVar(Hd, result, OutRect,                  'RtxxxDevice_OutRect');
     InitVar(Hd, result, SetCountFrames,           'RtxxxDevice_SetCountFrames');
     InitVar(Hd, result, CountFrames,              'RtxxxDevice_CountFrames');
     InitVar(Hd, result, SetVideoIn,               'RtxxxDevice_SetVideoIn');
     InitVar(Hd, result, VideoIn,                  'RtxxxDevice_VideoIn');
     InitVar(Hd, result, SetPersonalMode,          'RtxxxDevice_SetPersonalMode');
     InitVar(Hd, result, PersonalMode,             'RtxxxDevice_PersonalMode');
     InitVar(Hd, result, SetLeft,                  'RtxxxDevice_SetLeft');
     InitVar(Hd, result, Left,                     'RtxxxDevice_Left');
     InitVar(Hd, result, LeftMin,                  'RtxxxDevice_LeftMin');
     InitVar(Hd, result, LeftMax,                  'RtxxxDevice_LeftMax');
     InitVar(Hd, result, SetTop,                   'RtxxxDevice_SetTop');
     InitVar(Hd, result, Top,                      'RtxxxDevice_Top');
     InitVar(Hd, result, TopMin,                   'RtxxxDevice_TopMin');
     InitVar(Hd, result, TopMax,                   'RtxxxDevice_TopMax');
     InitVar(Hd, result, SetWidth,                 'RtxxxDevice_SetWidth');
     InitVar(Hd, result, Width,                    'RtxxxDevice_Width');
     InitVar(Hd, result, WidthMin,                 'RtxxxDevice_WidthMin');
     InitVar(Hd, result, WidthMax,                 'RtxxxDevice_WidthMax');
     InitVar(Hd, result, SetHeight,                'RtxxxDevice_SetHeight');
     InitVar(Hd, result, Height,                   'RtxxxDevice_Height');
     InitVar(Hd, result, HeightMin,                'RtxxxDevice_HeightMin');
     InitVar(Hd, result, HeightMax,                'RtxxxDevice_HeightMax');
     InitVar(Hd, result, SetLenLine,               'RtxxxDevice_SetLenLine');
     InitVar(Hd, result, LenLine,                  'RtxxxDevice_LenLine');
     InitVar(Hd, result, LenLineMin,               'RtxxxDevice_LenLineMin');
     InitVar(Hd, result, LenLineMax,               'RtxxxDevice_LenLineMax');
     InitVar(Hd, result, SetLeftStb,               'RtxxxDevice_SetLeftStb');
     InitVar(Hd, result, LeftStb,                  'RtxxxDevice_LeftStb');
     InitVar(Hd, result, LeftMinStb,               'RtxxxDevice_LeftMinStb');
     InitVar(Hd, result, LeftMaxStb,               'RtxxxDevice_LeftMaxStb');
     InitVar(Hd, result, SetTopStb,                'RtxxxDevice_SetTopStb');
     InitVar(Hd, result, TopStb,                   'RtxxxDevice_TopStb');
     InitVar(Hd, result, TopMinStb,                'RtxxxDevice_TopMinStb');
     InitVar(Hd, result, TopMaxStb,                'RtxxxDevice_TopMaxStb');
     InitVar(Hd, result, SetWidthStb,              'RtxxxDevice_SetWidthStb');
     InitVar(Hd, result, WidthStb,                 'RtxxxDevice_WidthStb');
     InitVar(Hd, result, WidthMinStb,              'RtxxxDevice_WidthMinStb');
     InitVar(Hd, result, WidthMaxStb,              'RtxxxDevice_WidthMaxStb');
     InitVar(Hd, result, SetHeightStb,             'RtxxxDevice_SetHeightStb');
     InitVar(Hd, result, HeightStb,                'RtxxxDevice_HeightStb');
     InitVar(Hd, result, HeightMinStb,             'RtxxxDevice_HeightMinStb');
     InitVar(Hd, result, HeightMaxStb,             'RtxxxDevice_HeightMaxStb');
     InitVar(Hd, result, SetLeftOut,               'RtxxxDevice_SetLeftOut');
     InitVar(Hd, result, LeftOut,                  'RtxxxDevice_LeftOut');
     InitVar(Hd, result, LeftMinOut,               'RtxxxDevice_LeftMinOut');
     InitVar(Hd, result, LeftMaxOut,               'RtxxxDevice_LeftMaxOut');
     InitVar(Hd, result, SetTopOut,                'RtxxxDevice_SetTopOut');
     InitVar(Hd, result, TopOut,                   'RtxxxDevice_TopOut');
     InitVar(Hd, result, TopMinOut,                'RtxxxDevice_TopMinOut');
     InitVar(Hd, result, TopMaxOut,                'RtxxxDevice_TopMaxOut');
     InitVar(Hd, result, SetWidthOut,              'RtxxxDevice_SetWidthOut');
     InitVar(Hd, result, WidthOut,                 'RtxxxDevice_WidthOut');
     InitVar(Hd, result, WidthMinOut,              'RtxxxDevice_WidthMinOut');
     InitVar(Hd, result, WidthMaxOut,              'RtxxxDevice_WidthMaxOut');
     InitVar(Hd, result, SetHeightOut,             'RtxxxDevice_SetHeightOut');
     InitVar(Hd, result, HeightOut,                'RtxxxDevice_HeightOut');
     InitVar(Hd, result, HeightMinOut,             'RtxxxDevice_HeightMinOut');
     InitVar(Hd, result, HeightMaxOut,             'RtxxxDevice_HeightMaxOut');
     InitVar(Hd, result, SetLenLineOut,            'RtxxxDevice_SetLenLineOut');
     InitVar(Hd, result, LenLineOut,               'RtxxxDevice_LenLineOut');
     InitVar(Hd, result, LenLineMinOut,            'RtxxxDevice_LenLineMinOut');
     InitVar(Hd, result, LenLineMaxOut,            'RtxxxDevice_LenLineMaxOut');
     InitVar(Hd, result, WinToCentre,              'RtxxxDevice_WinToCentre');
     InitVar(Hd, result, WinStbToCentre,           'RtxxxDevice_WinStbToCentre');
     InitVar(Hd, result, WinOutToCentre,           'RtxxxDevice_WinOutToCentre');
     InitVar(Hd, result, SetAccumMethod,           'RtxxxDevice_SetAccumMethod');
     InitVar(Hd, result, AccumMethod,              'RtxxxDevice_AccumMethod');
     InitVar(Hd, result, SetAccumMode,             'RtxxxDevice_SetAccumMode');
     InitVar(Hd, result, AccumMode,                'RtxxxDevice_AccumMode');
     InitVar(Hd, result, SetAccumValue,            'RtxxxDevice_SetAccumValue');
     InitVar(Hd, result, AccumValue,               'RtxxxDevice_AccumValue');
     InitVar(Hd, result, CountAccumFrames,         'RtxxxDevice_CountAccumFrames');
     InitVar(Hd, result, SetAccumMethodStb,        'RtxxxDevice_SetAccumMethodStb');
     InitVar(Hd, result, AccumMethodStb,           'RtxxxDevice_AccumMethodStb');
     InitVar(Hd, result, SetAccumModeStb,          'RtxxxDevice_SetAccumModeStb');
     InitVar(Hd, result, AccumModeStb,             'RtxxxDevice_AccumModeStb');
     InitVar(Hd, result, SetAccumValueStb,         'RtxxxDevice_SetAccumValueStb');
     InitVar(Hd, result, AccumValueStb,            'RtxxxDevice_AccumValueStb');
     InitVar(Hd, result, CountAccumFramesStb,      'RtxxxDevice_CountAccumFramesStb');
     InitVar(Hd, result, SetContrastMul,           'RtxxxDevice_SetContrastMul');
     InitVar(Hd, result, ContrastMul,              'RtxxxDevice_ContrastMul');
     InitVar(Hd, result, SetContrastOfs,           'RtxxxDevice_SetContrastOfs');
     InitVar(Hd, result, ContrastOfs,              'RtxxxDevice_ContrastOfs');
     InitVar(Hd, result, SetContrastMulStb,        'RtxxxDevice_SetContrastMulStb');
     InitVar(Hd, result, ContrastMulStb,           'RtxxxDevice_ContrastMulStb');
     InitVar(Hd, result, SetContrastOfsStb,        'RtxxxDevice_SetContrastOfsStb');
     InitVar(Hd, result, ContrastOfsStb,           'RtxxxDevice_ContrastOfsStb');
     InitVar(Hd, result, SetLUT,                   'RtxxxDevice_SetLUT');
     InitVar(Hd, result, GetLUT,                   'RtxxxDevice_GetLUT');
     InitVar(Hd, result, SetFilterMode,            'RtxxxDevice_SetFilterMode');
     InitVar(Hd, result, FilterMode,               'RtxxxDevice_FilterMode');
     InitVar(Hd, result, WriteDspOperand,          'RtxxxDevice_WriteDspOperand');
     InitVar(Hd, result, ClearDspOperand,          'RtxxxDevice_ClearDspOperand');
     InitVar(Hd, result, SetDspOperation,          'RtxxxDevice_SetDspOperation');
     InitVar(Hd, result, DspOperation,             'RtxxxDevice_DspOperation');
     InitVar(Hd, result, SetDspLevel,              'RtxxxDevice_SetDspLevel');
     InitVar(Hd, result, DspLevel,                 'RtxxxDevice_DspLevel');
     InitVar(Hd, result, SetDspWeight,             'RtxxxDevice_SetDspWeight');
     InitVar(Hd, result, DspWeight,                'RtxxxDevice_DspWeight');
     InitVar(Hd, result, WriteDspOperandStb,       'RtxxxDevice_WriteDspOperandStb');
     InitVar(Hd, result, ClearDspOperandStb,       'RtxxxDevice_ClearDspOperandStb');
     InitVar(Hd, result, SetDspOperationStb,       'RtxxxDevice_SetDspOperationStb');
     InitVar(Hd, result, DspOperationStb,          'RtxxxDevice_DspOperationStb');
     InitVar(Hd, result, SetDspLevelStb,           'RtxxxDevice_SetDspLevelStb');
     InitVar(Hd, result, DspLevelStb,              'RtxxxDevice_DspLevelStb');
     InitVar(Hd, result, SetDspWeightStb,          'RtxxxDevice_SetDspWeightStb');
     InitVar(Hd, result, DspWeightStb,             'RtxxxDevice_DspWeightStb');
     InitVar(Hd, result, SetRecurseIndex,          'RtxxxDevice_SetRecurseIndex');
     InitVar(Hd, result, RecurseIndexStb,          'RtxxxDevice_RecurseIndexStb');
     InitVar(Hd, result, SetRecurseIndexStb,       'RtxxxDevice_SetRecurseIndexStb');
     InitVar(Hd, result, RecurseIndex,             'RtxxxDevice_RecurseIndex');
     InitVar(Hd, result, SetStatisticsChanel,      'RtxxxDevice_SetStatisticsChanel');
     InitVar(Hd, result, StatisticsChanel,         'RtxxxDevice_StatisticsChanel');
     InitVar(Hd, result, GetMinMax,                'RtxxxDevice_GetMinMax');
     InitVar(Hd, result, SetHistogramMode,         'RtxxxDevice_SetHistogramMode');
     InitVar(Hd, result, HistogramMode,            'RtxxxDevice_HistogramMode');
     InitVar(Hd, result, GetHistogram,             'RtxxxDevice_GetHistogram');
     InitVar(Hd, result, GetHardHistogram,         'RtxxxDevice_GetHardHistogram');
     InitVar(Hd, result, GetCfgBlockSize,          'RtxxxDevice_GetCfgBlockSize');
     InitVar(Hd, result, GetCfg,                   'RtxxxDevice_GetCfg');
     InitVar(Hd, result, SetCfg,                   'RtxxxDevice_SetCfg');
     InitVar(Hd, result, SetCfgDefault,            'RtxxxDevice_SetCfgDefault');
     InitVar(Hd, result, LoadCfg,                  'RtxxxDevice_LoadCfg');
     InitVar(Hd, result, SaveCfg,                  'RtxxxDevice_SaveCfg');
     InitVar(Hd, result, SetIoDirection,           'RtxxxDevice_SetIoDirection');
     InitVar(Hd, result, IoDirection,              'RtxxxDevice_IoDirection');
     InitVar(Hd, result, OutPort,                  'RtxxxDevice_OutPort');
     InitVar(Hd, result, InPort,                   'RtxxxDevice_InPort');
     InitVar(Hd, result, WaitPulse,                'RtxxxDevice_WaitPulse');
     InitVar(Hd, result, OutSyncPulse,             'RtxxxDevice_OutSyncPulse');
     InitVar(Hd, result, ShowControlPanel,         'RtxxxDevice_ShowControlPanel');
     InitVar(Hd, result, SetControlPanelPos,       'RtxxxDevice_SetControlPanelPos');
     InitVar(Hd, result, GetControlPanelPos,       'RtxxxDevice_GetControlPanelPos');
     InitVar(Hd, result, HideControlPanel,         'RtxxxDevice_HideControlPanel');
     InitVar(Hd, result, WriteBank,                'RtxxxDevice_WriteBank');
     InitVar(Hd, result, ClearBank,                'RtxxxDevice_ClearBank');
     InitVar(Hd, result, ReadBank,                 'RtxxxDevice_ReadBank');
     InitVar(Hd, result, GetDriverInfo,            'RtxxxDevice_GetDriverInfo');
     InitVar(Hd, result, InReg,                    'RtxxxDevice_InReg');
     InitVar(Hd, result, OutReg,                   'RtxxxDevice_OutReg');
     InitVar(Hd, result, InVar,                    'RtxxxDevice_InVar');
     InitVar(Hd, result, OutVar,                   'RtxxxDevice_OutVar');
     InitVar(Hd, result, SetCapturePriority,       'RtxxxDevice_SetCapturePriority');
     InitVar(Hd, result, CapturePriority,          'RtxxxDevice_CapturePriority');
     InitVar(Hd, result, SetTime,                  'RtxxxDevice_SetTime');
     InitVar(Hd, result, GetTime,                  'RtxxxDevice_GetTime');
     InitVar(Hd, result, GetTimeBeginCapture,      'RtxxxDevice_GetTimeBeginCapture');

     InitVar(Hd, result, SetFreqDivider,           'RtxxxDevice_SetFreqDivider');
     InitVar(Hd, result, FreqDivider,              'RtxxxDevice_FreqDivider');

     If result=TRUE then CreateDevice else
       Begin
         FreeLibrary(Hd);
         Hd:=INVALID_HANDLE_VALUE;
       end;
   End;

  Procedure TRt8xxDevice.DisconnectFromLibrary;
     Begin
       If Hd<>INVALID_HANDLE_VALUE then
       Begin
         DestroyDevice;
         FreeLibrary(Hd);
         Hd:=INVALID_HANDLE_VALUE;
       end;
     End;

  Constructor TRt8xxDevice.Create;
      Begin
        Inherited Create;
        Hd:=INVALID_HANDLE_VALUE;
      End;

  Destructor TRt8xxDevice.Destroy;
     Begin
       DisconnectFromLibrary;
       Inherited Destroy;
     End;  

END.
