//******************************************************************************
//*                      Raster Technolodgy SDK v2.xx                          *
//*                         Rt8xxdef v2.07.0.0                           *
//*               Copyright (C)  " ", 2003-2007              *
//*                       :                             *
//*          phone: (095) 789-93-67,  e-mail: rastr_support@mail.ru            *
//******************************************************************************

Unit Rt8xxdef;

INTERFACE

Uses Windows;

CONST

MAX_ARRAY_LENGTH         = 16;
MAX_NUMBER_ITEMS         = 16;
RT8XXDEF_VERSION         = $02070000;

TYPE

TArrayOfChar   = array[0..MAX_ARRAY_LENGTH-1] of char;
TItemsList     = array[0..MAX_NUMBER_ITEMS-1] of TArrayOfChar;

TInChanelInfo=record
  TypeChanel:          longword;
  MasterChanel:        longword;
  CaptureFlags:        longword;
  StatisticsFlags:     longword;
  AccumFlags:          longword;
  RecurseFlags:        longword;
  DspFlags:            longword;
  FunctionFlags:       longword;
  Reserved:            array[0..7] of longword;
end;

TDeviceInfo=record
  DeviceName:          TArrayOfChar;
  Win32DeviceName:     TArrayOfChar;
  BaseModel:           longword;
  SubModel:            longword;
  NumbVideoIn:         longword;
  BrightnessMax:       integer;
  ContrastMax:         integer;
  ADCFlags:            longword;
  DACFlags:            longword;
  ADCMax:              longword;
  DACMax:              longword;
  PixFreqMin:          single;
  PixFreqMax:          single;
  LineNsMin:           longword;
  LineNsMax:           longword;
  LineLenMin:          integer;
  LineLenMax:          integer;
  FrameWidthMin:       integer;
  FrameWidthMax:       integer;
  FrameHeightMin:      integer;
  FrameHeightMax:      integer;
  IndentLeft:          integer;
  IndentTop:           integer;
  PixFreqMinOut:       single;
  PixFreqMaxOut:       single;
  LineNsMinOut:        longword;
  LineNsMaxOut:        longword;
  LineLenMinOut:       integer;
  LineLenMaxOut:       integer;
  FrameWidthMinOut:    integer;
  FrameWidthMaxOut:    integer;
  FrameHeightMinOut:   integer;
  FrameHeightMaxOut:   integer;
  IndentLeftOut:       integer;
  IndentTopOut:        integer;
  NumbBanks:           longword;
  BankSize:            longword;
  CaptureModes:        longword;
  Reserved1:           longword;
  PortInFlags:         longword;
  PortOutFlags:        longword;
  Reserved2:           longword;
  MinMax:              longword;
  LUTMax:              longword;
  ContrastMulMax:      integer;
  ContrastOfsMax:      integer;
  DspLevelMax:         integer;
  ControlPanelFlags:   longword;
  DspWeightMax:        integer;
  Reserved3:           array[0..7] of longword;
  NumbInChanels:       longword;
  Chanel:              array[0..3] of TInChanelInfo;
end;

TSignal=record
  IsInterleave:      longbool;
  TotalLineNs:       longword;
  TotalLineLen:      integer;
  TotalLineCount:    integer;
  FrameWidth:        integer;
  FrameHeight:       integer;
  FrameLeft:         integer;
  FrameTop:          integer;
  PLLOffset:         integer;
  PLL:               longword;
end;

TDspOperation = (dspOFF,dspAVERAGE,dspSUBBACK,dspSUB,dspADD,dspAND,dspOR,dspXOR,dspSUBDIN,dspADDDIN);

TAccumMode=
  (amOFF,am2Frames,am4Frames,am8Frames,am16Frames,am32Frames,am64Frames,am128Frames,am256Frames,am512Frames);

TCapturePriority = (cpIdle, cpLowest, cpLower, cpNormal, cpHigher, cpHighest, cpTimeCritical);


TDriverInfo=record
  WdmOsVersion:               longword;
  WdmDrvVersion:              longword;
  DriverVersion:              longword;
  DeviceCount:                longword;
  CodeError:                  longword;
  PnpStatus:                  longword;
  Open:                       longbool;
  Reserved1:                  longword;
  MapMemBlockLength:          longword;
  MapMemPhysicalAddr:         longword;
  MapMemLogicalAddr:          pointer;
  MapMemDrvLogicalAddr:       pointer;
  CommonBufferDrvLogicalAddr: pointer;
  CommonBufferLength:         longword;
  CommonBufferPtr:            pointer;
  CommonRegBufferPtr:         pointer;
  CommonVarBufferPtr:         pointer;
  CommonProgramBufferPtr:     pointer;
  CommonDmaDataBufferPtr:     pointer;
  CommonIrqBufferPtr:         pointer;
  CommonHistBufferPtr:        pointer;
  EventHandle:                longword;
  DmaNumberBuffers:           longword;
  DmaBufferLength:            longword;
  DmaPhysicalAddr:            array[0..3] of longword;
  DmaLogicalAddr:             array[0..3] of pointer;
end;

TDeviceTime=record
  Year:         word;
  Month:        word;
  Day:          word;
  Hour:         word;
  Minute:       word;
  Second:       word;
  NanoSecond:   longword;
end;

TEventProc = Procedure(Status,Param: longword; var stream: boolean);stdcall;
TNotifyProc = Procedure(status: longword);stdcall;

VAR
  RtxxxLibrary_InterfaceVersion:         Function:longword;stdcall;
  RtxxxLibrary_Version:                  Function:longword;stdcall;
  RtxxxLibrary_GetInfo:                  Function(info: PChar):longword;stdcall;
  RtxxxDevice_GetDevicesList:            Function(var List: TItemsList):integer;stdcall;
  RtxxxDevice_GetFirmwaresList:          Function(var List: TItemsList):integer;stdcall;
  RtxxxDevice_SelectDevice:              Function(index: integer):boolean;stdcall;
  RtxxxDevice_DeviceIndex:               Function: integer;stdcall;
  RtxxxDevice_Create:                    Procedure;stdcall;
  RtxxxDevice_Open:                      Function(deviceName, firmwareName: PChar):integer;stdcall;
  RtxxxDevice_GetDeviceInfo:             Procedure(var info:TDeviceInfo);stdcall;
  RtxxxDevice_Close:                     Procedure;stdcall;
  RtxxxDevice_Destroy:                   Procedure;stdcall;
  RtxxxDevice_CheckSignalFields:         Function(signal: TSignal; chanel:integer):boolean;stdcall;
  RtxxxDevice_SetInSignal:               Function(signal: TSignal):boolean;stdcall;
  RtxxxDevice_GetInSignal:               Procedure(var signal:TSignal);stdcall;
  RtxxxDevice_SetOutSignal:              Function(signal: TSignal):boolean;stdcall;
  RtxxxDevice_GetOutSignal:              Procedure(var signal:TSignal);stdcall;
  RtxxxDevice_SetCaptureRange:           Function(value: integer):boolean;stdcall;
  RtxxxDevice_CaptureRange:              Function:integer;stdcall;
  RtxxxDevice_SetExternalSyncMode:       Function(value: integer):boolean;stdcall;
  RtxxxDevice_ExternalSyncMode:          Function:integer;stdcall;
  RtxxxDevice_FreqPixel:                 Function:single;stdcall;
  RtxxxDevice_FreqFrame:                 Function:single;stdcall;
  RtxxxDevice_TimeFrame:                 Function:single;stdcall;
  RtxxxDevice_FreqPixelOut:              Function:single;stdcall;
  RtxxxDevice_FreqFrameOut:              Function:single;stdcall;
  RtxxxDevice_TimeFrameOut:              Function:single;stdcall;
  RtxxxDevice_TimeCapture:               Function:single;stdcall;
  RtxxxDevice_TimeCaptureStb:            Function:single;stdcall;
  RtxxxDevice_SetBrightness:             Function(brightness: integer):boolean;stdcall;
  RtxxxDevice_Brightness:                Function:integer;stdcall;
  RtxxxDevice_SetContrast:               Function(contrast: integer):boolean;stdcall;
  RtxxxDevice_Contrast:                  Function:integer;stdcall;
  RtxxxDevice_AutoBrightnessContrast:    Function(OnTerminated: TEventProc):boolean;stdcall;
  RtxxxDevice_SetBrightnessOut:          Function(brightness: integer):boolean;stdcall;
  RtxxxDevice_BrightnessOut:             Function:integer;stdcall;
  RtxxxDevice_SetContrastOut:            Function(contrast: integer):boolean;stdcall;
  RtxxxDevice_ContrastOut:               Function:integer;stdcall;
  RtxxxDevice_OffsetBlack:               Function:integer;stdcall;
  RtxxxDevice_OffsetBlack:               Function:integer;stdcall;
  RtxxxDevice_SetOffsetBlack:            Function(value: integer):boolean;stdcall;
  RtxxxDevice_SetInverseOrderLines:      Function(switch: boolean):boolean;stdcall;
  RtxxxDevice_InverseOrderLines:         Function:boolean;stdcall;
  RtxxxDevice_SetInverseOrderLinesOut:   Function(switch: boolean):boolean;stdcall;
  RtxxxDevice_InverseOrderLinesOut:      Function:boolean;stdcall;
  RtxxxDevice_SetSerialOrderFrames:      Function(switch: boolean):boolean;stdcall;
  RtxxxDevice_SerialOrderFrames:         Function:boolean;stdcall;
  RtxxxDevice_SetSerialOrderFramesOut:   Function(switch: boolean):boolean;stdcall;
  RtxxxDevice_SerialOrderFramesOut:      Function:boolean;stdcall;
  RtxxxDevice_SetSerialOrderFields:      Function(switch: boolean):boolean;stdcall;
  RtxxxDevice_SerialOrderFields:         Function:boolean;stdcall;
  RtxxxDevice_SetSerialOrderFieldsOut:   Function(switch: boolean):boolean;stdcall;
  RtxxxDevice_SerialOrderFieldsOut:      Function:boolean;stdcall;
  RtxxxDevice_SetFieldsShowMode:         Function(value: integer):boolean;stdcall;
  RtxxxDevice_FieldsShowMode:            Function:integer;stdcall;
  RtxxxDevice_SetMirrorMode:             Function(value: integer):boolean;stdcall;
  RtxxxDevice_MirrorMode:                Function:integer;stdcall;
  RtxxxDevice_SetScalingMode:            Function(switch: boolean):boolean;stdcall;
  RtxxxDevice_ScalingMode:               Function:boolean;stdcall;
  RtxxxDevice_SetShowStrobeRect:         Function(switch: boolean):boolean;stdcall;
  RtxxxDevice_ShowStrobeRect:            Function:boolean;stdcall;
  RtxxxDevice_SetShowOut:                Function(switch: boolean):boolean;stdcall;
  RtxxxDevice_ShowOut:                   Function:boolean;stdcall;
  RtxxxDevice_SetOneFieldMode:           Function(switch: boolean):boolean;stdcall;
  RtxxxDevice_OneFieldMode:              Function:boolean;stdcall;
  RtxxxDevice_SetSyncInOutSignals:       Function(switch: boolean):boolean;stdcall;
  RtxxxDevice_SyncInOutSignals:          Function:boolean;stdcall;
  RtxxxDevice_SetADCBits:                Function(bits: longword):boolean;stdcall;
  RtxxxDevice_ADCBits:                   Function:longword;stdcall;
  RtxxxDevice_SetADCBitsStb:             Function(bits: longword):boolean;stdcall;
  RtxxxDevice_ADCBitsStb:                Function:longword;stdcall;
  RtxxxDevice_SetDACBits:                Function(bits: longword):boolean;stdcall;
  RtxxxDevice_DACBits:                   Function:longword;stdcall;
  RtxxxDevice_ADCMax:                    Function:longword;stdcall;
  RtxxxDevice_DACMax:                    Function:longword;stdcall;
  RtxxxDevice_SetImageBits:              Function(bits: longword):boolean;stdcall;
  RtxxxDevice_ImageBits:                 Function:longword;stdcall;
  RtxxxDevice_SetImageBitsStb:           Function(bits: longword):boolean;stdcall;
  RtxxxDevice_ImageBitsStb:              Function:longword;stdcall;
  RtxxxDevice_SetImageBitsOut:           Function(bits: longword):boolean;stdcall;
  RtxxxDevice_ImageBitsOut:              Function:longword;stdcall;
  RtxxxDevice_SetCaptureMode:            Function(mode: integer):boolean;stdcall;
  RtxxxDevice_CaptureMode:               Function:integer;stdcall;
  RtxxxDevice_ThroughMode:               Function:boolean;stdcall;
  RtxxxDevice_CheckInSignal:             Function: boolean;stdcall;
  RtxxxDevice_StartCaptureFrame:         Function(OnCapture: TEventProc):boolean;stdcall;
  RtxxxDevice_StartCaptureStrobe:        Function(OnCapture: TEventProc):boolean;stdcall;
  RtxxxDevice_CaptureFrame:              Function(pDest: pointer; stream: boolean):boolean;stdcall;
  RtxxxDevice_CaptureStrobe:             Function(pDest: pointer; stream: boolean):boolean;stdcall;
  RtxxxDevice_DmaBufferPtr:              Function:pointer;stdcall;
  RtxxxDevice_DmaBufferPtrStb:           Function:pointer;stdcall;
  RtxxxDevice_DmaSequenceMode:           Function:boolean;stdcall;
  RtxxxDevice_CurrentCpuCount:           Function:int64;stdcall;
  RtxxxDevice_CpuCount:                  Function:int64;stdcall;
  RtxxxDevice_CpuCountStb:               Function:int64;stdcall;
  RtxxxDevice_GetCpuCount:               Function(moment: integer):int64;stdcall;
  RtxxxDevice_GetCpuFreq:                Function:single;stdcall;
  RtxxxDevice_StartOutFrame:             Function(OnOutFrame: TEventProc):boolean;stdcall;
  RtxxxDevice_OutFrame:                  Function(pSource: pointer):boolean;stdcall;
  RtxxxDevice_OutRect:                   Function(pSource: pointer; left,top,width,height:integer):boolean;stdcall;
  RtxxxDevice_SetCountFrames:            Function(value: longword):boolean;stdcall;
  RtxxxDevice_CountFrames:               Function:longword;stdcall;
  RtxxxDevice_SetVideoIn:                Function(tvIn: longword):boolean;stdcall;
  RtxxxDevice_VideoIn:                   Function:longword;stdcall;
  RtxxxDevice_SetPersonalMode:           Function(switch: boolean):boolean;stdcall;
  RtxxxDevice_PersonalMode:              Function:boolean;stdcall;
  RtxxxDevice_SetLeft:                   Procedure(value: integer);stdcall;
  RtxxxDevice_Left:                      Function:integer;stdcall;
  RtxxxDevice_LeftMin:                   Function:integer;stdcall;
  RtxxxDevice_LeftMax:                   Function: integer;stdcall;
  RtxxxDevice_SetTop:                    Procedure(value: integer);stdcall;
  RtxxxDevice_Top:                       Function: integer;stdcall;
  RtxxxDevice_TopMin:                    Function: integer;stdcall;
  RtxxxDevice_TopMax:                    Function:integer;stdcall;
  RtxxxDevice_SetWidth:                  Procedure(value: integer);stdcall;
  RtxxxDevice_Width:                     Function:integer;stdcall;
  RtxxxDevice_WidthMin:                  Function:integer;stdcall;
  RtxxxDevice_WidthMax:                  Function:integer;stdcall;
  RtxxxDevice_SetHeight:                 Procedure(value: integer);stdcall;
  RtxxxDevice_Height:                    Function:integer;stdcall;
  RtxxxDevice_HeightMin:                 Function:integer;stdcall;
  RtxxxDevice_HeightMax:                 Function:integer;stdcall;
  RtxxxDevice_SetLenLine:                Procedure(value: integer);stdcall;
  RtxxxDevice_LenLine:                   Function:integer;stdcall;
  RtxxxDevice_LenLineMin:                Function:integer;stdcall;
  RtxxxDevice_LenLineMax:                Function:integer;stdcall;
  RtxxxDevice_SetLeftStb:                Procedure(value: integer);stdcall;
  RtxxxDevice_LeftStb:                   Function:integer;stdcall;
  RtxxxDevice_LeftMinStb:                Function:integer;stdcall;
  RtxxxDevice_LeftMaxStb:                Function:integer;stdcall;
  RtxxxDevice_SetTopStb:                 Procedure(value: integer);stdcall;
  RtxxxDevice_TopStb:                    Function:integer;stdcall;
  RtxxxDevice_TopMinStb:                 Function:integer;stdcall;
  RtxxxDevice_TopMaxStb:                 Function:integer;stdcall;
  RtxxxDevice_SetWidthStb:               Procedure(value: integer);stdcall;
  RtxxxDevice_WidthStb:                  Function:integer;stdcall;
  RtxxxDevice_WidthMinStb:               Function:integer;stdcall;
  RtxxxDevice_WidthMaxStb:               Function:integer;stdcall;
  RtxxxDevice_SetHeightStb:              Procedure(value: integer);stdcall;
  RtxxxDevice_HeightStb:                 Function:integer;stdcall;
  RtxxxDevice_HeightMinStb:              Function:integer;stdcall;
  RtxxxDevice_HeightMaxStb:              Function:integer;stdcall;
  RtxxxDevice_SetLeftOut:                Procedure(value: integer);stdcall;
  RtxxxDevice_LeftOut:                   Function:integer;stdcall;
  RtxxxDevice_LeftMinOut:                Function:integer;stdcall;
  RtxxxDevice_LeftMaxOut:                Function:integer;stdcall;
  RtxxxDevice_SetTopOut:                 Procedure(value: integer);stdcall;
  RtxxxDevice_TopOut:                    Function:integer;stdcall;
  RtxxxDevice_TopMinOut:                 Function:integer;stdcall;
  RtxxxDevice_TopMaxOut:                 Function:integer;stdcall;
  RtxxxDevice_SetWidthOut:               Procedure(value: integer);stdcall;
  RtxxxDevice_WidthOut:                  Function:integer;stdcall;
  RtxxxDevice_WidthMinOut:               Function:integer;stdcall;
  RtxxxDevice_WidthMaxOut:               Function:integer;stdcall;
  RtxxxDevice_SetHeightOut:              Procedure(value: integer);stdcall;
  RtxxxDevice_HeightOut:                 Function:integer;stdcall;
  RtxxxDevice_HeightMinOut:              Function:integer;stdcall;
  RtxxxDevice_HeightMaxOut:              Function:integer;stdcall;
  RtxxxDevice_SetLenLineOut:             Procedure(value: integer);stdcall;
  RtxxxDevice_LenLineOut:                Function:integer;stdcall;
  RtxxxDevice_LenLineMinOut:             Function:integer;stdcall;
  RtxxxDevice_LenLineMaxOut:             Function:integer;stdcall;
  RtxxxDevice_WinToCentre:               Procedure;stdcall;
  RtxxxDevice_WinStbToCentre:            Procedure;stdcall;
  RtxxxDevice_WinOutToCentre:            Procedure;stdcall;
  RtxxxDevice_SetAccumMethod:            Function(method: integer):boolean;stdcall;
  RtxxxDevice_AccumMethod:               Function:integer;stdcall;
  RtxxxDevice_SetAccumMode:              Function(mode: TAccumMode):boolean;stdcall;
  RtxxxDevice_AccumMode:                 Function:TAccumMode;stdcall;
  RtxxxDevice_SetAccumValue:             Function(value: integer):boolean;stdcall;
  RtxxxDevice_AccumValue:                Function:integer;stdcall;
  RtxxxDevice_CountAccumFrames:          Function:integer;stdcall;
  RtxxxDevice_SetAccumMethodStb:         Function(method: integer):boolean;stdcall;
  RtxxxDevice_AccumMethodStb:            Function:integer;stdcall;
  RtxxxDevice_SetAccumModeStb:           Function(mode: TAccumMode):boolean;stdcall;
  RtxxxDevice_AccumModeStb:              Function:TAccumMode;stdcall;
  RtxxxDevice_SetAccumValueStb:          Function(value: integer):boolean;stdcall;
  RtxxxDevice_AccumValueStb:             Function:integer;stdcall;
  RtxxxDevice_CountAccumFramesStb:       Function:longword;stdcall;
  RtxxxDevice_SetContrastMul:            Function(mul: integer):boolean;stdcall;
  RtxxxDevice_ContrastMul:               Function:integer;stdcall;
  RtxxxDevice_SetContrastOfs:            Function(ofs: integer):boolean;stdcall;
  RtxxxDevice_ContrastOfs:               Function:longword;stdcall;
  RtxxxDevice_SetContrastMulStb:         Function(mul: integer):boolean;stdcall;
  RtxxxDevice_ContrastMulStb:            Function:integer;stdcall;
  RtxxxDevice_SetContrastOfsStb:         Function(ofs: integer):boolean;stdcall;
  RtxxxDevice_ContrastOfsStb:            Function:integer;stdcall;
  RtxxxDevice_SetLUT:                    Function(pTable:pointer):boolean;stdcall;
  RtxxxDevice_GetLUT:                    Procedure(pTable:pointer);stdcall;
  RtxxxDevice_SetFilterMode:             Function(mode: integer):boolean;stdcall;
  RtxxxDevice_FilterMode:                Function:integer;stdcall;
  RtxxxDevice_WriteDspOperand:           Function(pSource: pointer; bits: longword; inverseOrderLines, serialOrderFields:boolean):boolean;stdcall;
  RtxxxDevice_ClearDspOperand:           Function:boolean;stdcall;
  RtxxxDevice_SetDspOperation:           Function(operation: TDspOperation):boolean;stdcall;
  RtxxxDevice_DspOperation:              Function:TDspOperation;stdcall;
  RtxxxDevice_SetDspLevel:               Function(level: integer):boolean;stdcall;
  RtxxxDevice_DspLevel:                  Function:integer;stdcall;
  RtxxxDevice_SetDspWeight:              Function(level: integer):boolean;stdcall;
  RtxxxDevice_DspWeight:                 Function:integer;stdcall;
  RtxxxDevice_WriteDspOperandStb:        Function(pSource: pointer; bits: longword; inverseOrderLines, serialOrderFields:boolean):boolean;stdcall;
  RtxxxDevice_ClearDspOperandStb:        Function:boolean;stdcall;
  RtxxxDevice_SetDspOperationStb:        Function(operation: TDspOperation):boolean;stdcall;
  RtxxxDevice_DspOperationStb:           Function:TDspOperation;stdcall;
  RtxxxDevice_SetDspLevelStb:            Function(level: integer):boolean;stdcall;
  RtxxxDevice_DspLevelStb:               Function:integer;stdcall;
  RtxxxDevice_SetDspWeightStb:           Function(level: integer):boolean;stdcall;
  RtxxxDevice_DspWeightStb:              Function:integer;stdcall;
  RtxxxDevice_SetRecurseIndex:           Function(value: integer):boolean;stdcall;
  RtxxxDevice_RecurseIndex:              Function:integer;stdcall;
  RtxxxDevice_SetRecurseIndexStb:        Function(value: integer):boolean;stdcall;
  RtxxxDevice_RecurseIndexStb:           Function:integer;stdcall;
  RtxxxDevice_SetStatisticsChanel:       Function(mode:integer):boolean;stdcall;
  RtxxxDevice_StatisticsChanel:          Function:integer;stdcall;
  RtxxxDevice_GetMinMax:                 Procedure(var min,max: longword);stdcall;
  RtxxxDevice_SetHistogramMode:          Function(switch: boolean):boolean;stdcall;
  RtxxxDevice_HistogramMode:             Function:boolean;stdcall;
  RtxxxDevice_GetHistogram:              Function(var pHistogram: pointer;var indexMax,bits:longword):boolean;stdcall;
  RtxxxDevice_GetHardHistogram:          Function(var pHistogram: pointer;var indexMax,bits:longword):boolean;stdcall;
  RtxxxDevice_GetCfgBlockSize:           Function:longword;stdcall;
  RtxxxDevice_GetCfg:                    Procedure(pCfgBlock: pointer);stdcall;
  RtxxxDevice_SetCfg:                    Function(pCfgBlock: pointer):boolean;stdcall;
  RtxxxDevice_SetCfgDefault:             Function:boolean;stdcall;
  RtxxxDevice_LoadCfg:                   Function:integer;stdcall;
  RtxxxDevice_SaveCfg:                   Function:integer;stdcall;
  RtxxxDevice_SetIoDirection:            Function(direction: longword):boolean;stdcall;
  RtxxxDevice_IoDirection:               Function:longword;stdcall;
  RtxxxDevice_OutPort:                   Procedure(value: longword);stdcall;
  RtxxxDevice_InPort:                    Function:longword;stdcall;
  RtxxxDevice_WaitPulse:                 Function(line,polarity,timeWaitMs: longword; newPulse:boolean; OnIoChange:TEventProc):boolean;stdcall;
  RtxxxDevice_OutSyncPulse:              Function(line, mode: longword):boolean;stdcall;
  RtxxxDevice_ShowControlPanel:          Function(hd: longword; flags: longword; onHide: TNotifyProc):boolean;stdcall;
  RtxxxDevice_SetControlPanelPos:        Function(left, top: integer):boolean;stdcall;
  RtxxxDevice_GetControlPanelPos:        Function(var left, top: integer):boolean;stdcall;
  RtxxxDevice_HideControlPanel:          Function:boolean;stdcall;
  RtxxxDevice_WriteBank:                 Function(pSource: pointer; bank, offset, numBytes: longword):boolean;stdcall;
  RtxxxDevice_ClearBank:                 Function(bank, offset, numBytes, value: longword):boolean;stdcall;
  RtxxxDevice_ReadBank:                  Function(pSource: pointer; bank, offset, numBytes: longword):boolean;stdcall;
  RtxxxDevice_GetDriverInfo:             Procedure(var info: TDriverInfo);stdcall;
  RtxxxDevice_InReg:                     Function(address: longword):longword;stdcall;
  RtxxxDevice_OutReg:                    Procedure(address, value: longword);stdcall;
  RtxxxDevice_InVar:                     Function(address: longword):longword;stdcall;
  RtxxxDevice_OutVar:                    Procedure(address, value: longword);stdcall;
  RtxxxDevice_SetCapturePriority:        Function(priority: TCapturePriority):boolean;stdcall;
  RtxxxDevice_CapturePriority:           Function:TCapturePriority;stdcall;
  RtxxxDevice_CreateMemoryBuffer:        Function(var physicalAddr, length: longword; var logicalAddr: pointer):integer;stdcall;
  RtxxxDevice_FreeMemoryBuffer:          Procedure;stdcall;

  RtxxxDevice_SetTime:                   Function(devTime: TDeviceTime):boolean;stdcall;
  RtxxxDevice_GetTime:                   Function(var devTime: TDeviceTime):boolean;stdcall;
  RtxxxDevice_GetTimeBeginCapture:       Function(var devTime: TDeviceTime):boolean;stdcall;

  RtxxxDevice_SetFreqDivider:            Function(value: longword):boolean;stdcall;
  RtxxxDevice_FreqDivider:               Function:longword;stdcall;

  RtxxxDevice_SetShutterMode:            Function(value: integer):boolean;stdcall;
  RtxxxDevice_ShutterMode:               Function:integer;stdcall;
  RtxxxDevice_SetShutter:                Function(value: single):boolean;stdcall;
  RtxxxDevice_Shutter:                   Function:single;stdcall;
  RtxxxDevice_SetClockDivider:           Function(value: integer):boolean;stdcall;
  RtxxxDevice_ClockDivider:              Function:integer;stdcall;
  RtxxxDevice_SetTestMode:               Function(value: integer):boolean;stdcall;
  RtxxxDevice_TestMode:                  Function:integer;stdcall;
  RtxxxDevice_SetFrameFactor:            Function(mode: integer):boolean;stdcall;
  RtxxxDevice_FrameFactor:               Function:integer;stdcall;
  RtxxxDevice_SetGainX:                  Function(value: integer):boolean;stdcall;
  RtxxxDevice_GainX:                     Function:integer;stdcall;
  RtxxxDevice_SetGainY:                  Function(value: integer):boolean;stdcall;
  RtxxxDevice_GainY:                     Function:integer;stdcall;
  RtxxxDevice_SetOffsetX:                Function(value: integer):boolean;stdcall;
  RtxxxDevice_OffsetX:                   Function:integer;stdcall;
  RtxxxDevice_SetOffsetY:                Function(value: integer):boolean;stdcall;
  RtxxxDevice_OffsetY:                   Function:integer;stdcall;
  RtxxxDevice_SetPhase1:                 Function(value: integer):boolean;stdcall;
  RtxxxDevice_Phase1:                    Function:integer;stdcall;
  RtxxxDevice_SetPhase2:                 Function(value: integer):boolean;stdcall;
  RtxxxDevice_Phase2:                    Function:integer;stdcall;
  RtxxxDevice_SetPhase3:                 Function(value: integer):boolean;stdcall;
  RtxxxDevice_Phase3:                    Function:integer;stdcall;
  RtxxxDevice_SetPhase4:                 Function(value: integer):boolean;stdcall;
  RtxxxDevice_Phase4:                    Function:integer;stdcall;
  RtxxxDevice_SetThresholds:             Function(amplLevel: integer; pixelsNumber: integer):boolean;stdcall;
  RtxxxDevice_GetThresholds:             Function(var amplLevel: integer; var pixelsNumber: integer):boolean;stdcall;
  RtxxxDevice_GetPixelsCount:            Function:integer;stdcall;
  RtxxxDevice_SetMarkerPos:              Function(x,y: integer; showMode: integer):boolean;stdcall;
  RtxxxDevice_GetMarkerPos:              Procedure(var x,y: integer; var showMode: integer);stdcall;

Function CheckRt8xxLibrary(Hd: longword):integer;
Function CheckRtxxxLibrary(Hd: longword):integer;
Function ConnectToRt8xxLibrary(Hd: longword):boolean;
Function ConnectToVPxxxInterface(Hd: longword):boolean;
Function ConnectToDCxxxInterface(Hd: longword):boolean;

IMPLEMENTATION


Procedure InitVar(Hd: longword; var result:boolean; var addr; name: PChar);
   Var
     p: ^longword;
   Begin
     p:=@addr;
     p^:=Longword(GetProcAddress(Hd, name));
     result:=result and (p^<>0);
   End;

Function CheckRt8xxLibrary;
   Var
     f:  boolean;
   Begin
     f:=TRUE;
     result:=2;
     InitVar(Hd, f, RtxxxLibrary_InterfaceVersion, 'RtxxxLibrary_InterfaceVersion');
     If f=FALSE then Exit;
     result:=1;
     If RtxxxLibrary_InterfaceVersion<RT8XXDEF_VERSION then Exit;
     result:=0;
   End;

Function CheckRtxxxLibrary;
   Begin
     result:=CheckRt8xxLibrary(hd);
   End;

Function ConnectToRt8xxLibrary;
   Begin
     result:=FALSE;
     If CheckRt8xxLibrary(Hd)<>0 then Exit;
     result:=TRUE;
     InitVar(Hd, result, RtxxxLibrary_InterfaceVersion,        'RtxxxLibrary_InterfaceVersion');
     InitVar(Hd, result, RtxxxLibrary_Version,                 'RtxxxLibrary_Version');
     InitVar(Hd, result, RtxxxLibrary_GetInfo,                 'RtxxxLibrary_GetInfo');
     InitVar(Hd, result, RtxxxDevice_GetDevicesList,           'RtxxxDevice_GetDevicesList');
     InitVar(Hd, result, RtxxxDevice_GetFirmwaresList,         'RtxxxDevice_GetFirmwaresList');
     InitVar(Hd, result, RtxxxDevice_SelectDevice,             'RtxxxDevice_SelectDevice');
     InitVar(Hd, result, RtxxxDevice_DeviceIndex,              'RtxxxDevice_DeviceIndex');
     InitVar(Hd, result, RtxxxDevice_Create,                   'RtxxxDevice_Create');
     InitVar(Hd, result, RtxxxDevice_Open,                     'RtxxxDevice_Open');
     InitVar(Hd, result, RtxxxDevice_GetDeviceInfo,            'RtxxxDevice_GetDeviceInfo');
     InitVar(Hd, result, RtxxxDevice_Close,                    'RtxxxDevice_Close');
     InitVar(Hd, result, RtxxxDevice_Destroy,                  'RtxxxDevice_Destroy');
     InitVar(Hd, result, RtxxxDevice_CheckSignalFields,        'RtxxxDevice_CheckSignalFields');
     InitVar(Hd, result, RtxxxDevice_SetInSignal,              'RtxxxDevice_SetInSignal');
     InitVar(Hd, result, RtxxxDevice_GetInSignal,              'RtxxxDevice_GetInSignal');
     InitVar(Hd, result, RtxxxDevice_SetOutSignal,             'RtxxxDevice_SetOutSignal');
     InitVar(Hd, result, RtxxxDevice_GetOutSignal,             'RtxxxDevice_GetOutSignal');
     InitVar(Hd, result, RtxxxDevice_SetCaptureRange,          'RtxxxDevice_SetCaptureRange');
     InitVar(Hd, result, RtxxxDevice_CaptureRange,             'RtxxxDevice_CaptureRange');
     InitVar(Hd, result, RtxxxDevice_SetExternalSyncMode,      'RtxxxDevice_SetExternalSyncMode');
     InitVar(Hd, result, RtxxxDevice_ExternalSyncMode,         'RtxxxDevice_ExternalSyncMode');
     InitVar(Hd, result, RtxxxDevice_FreqPixel,                'RtxxxDevice_FreqPixel');
     InitVar(Hd, result, RtxxxDevice_FreqFrame,                'RtxxxDevice_FreqFrame');
     InitVar(Hd, result, RtxxxDevice_TimeFrame,                'RtxxxDevice_TimeFrame');
     InitVar(Hd, result, RtxxxDevice_FreqPixelOut,             'RtxxxDevice_FreqPixelOut');
     InitVar(Hd, result, RtxxxDevice_FreqFrameOut,             'RtxxxDevice_FreqFrameOut');
     InitVar(Hd, result, RtxxxDevice_TimeFrameOut,             'RtxxxDevice_TimeFrameOut');
     InitVar(Hd, result, RtxxxDevice_TimeCapture,              'RtxxxDevice_TimeCapture');
     InitVar(Hd, result, RtxxxDevice_TimeCaptureStb,           'RtxxxDevice_TimeCaptureStb');
     InitVar(Hd, result, RtxxxDevice_SetBrightness,            'RtxxxDevice_SetBrightness');
     InitVar(Hd, result, RtxxxDevice_Brightness,               'RtxxxDevice_Brightness');
     InitVar(Hd, result, RtxxxDevice_SetContrast,              'RtxxxDevice_SetContrast');
     InitVar(Hd, result, RtxxxDevice_Contrast,                 'RtxxxDevice_Contrast');
     InitVar(Hd, result, RtxxxDevice_AutoBrightnessContrast,   'RtxxxDevice_AutoBrightnessContrast');
     {
     InitVar(Hd, result, RtxxxDevice_SetBrightnessOut,         'RtxxxDevice_SetBrightnessOut');
     InitVar(Hd, result, RtxxxDevice_BrightnessOut,            'RtxxxDevice_BrightnessOut');
     InitVar(Hd, result, RtxxxDevice_SetContrastOut,           'RtxxxDevice_SetContrastOut');
     InitVar(Hd, result, RtxxxDevice_ContrastOut,              'RtxxxDevice_ContrastOut');
     }
     InitVar(Hd, result, RtxxxDevice_OffsetBlack,              'RtxxxDevice_OffsetBlack');
     InitVar(Hd, result, RtxxxDevice_SetOffsetBlack,           'RtxxxDevice_SetOffsetBlack');
     InitVar(Hd, result, RtxxxDevice_SetInverseOrderLines,     'RtxxxDevice_SetInverseOrderLines');
     InitVar(Hd, result, RtxxxDevice_InverseOrderLines,        'RtxxxDevice_InverseOrderLines');
     InitVar(Hd, result, RtxxxDevice_SetInverseOrderLinesOut,  'RtxxxDevice_SetInverseOrderLinesOut');
     InitVar(Hd, result, RtxxxDevice_InverseOrderLinesOut,     'RtxxxDevice_InverseOrderLinesOut');
     InitVar(Hd, result, RtxxxDevice_SetSerialOrderFrames,     'RtxxxDevice_SetSerialOrderFrames');
     InitVar(Hd, result, RtxxxDevice_SerialOrderFrames,        'RtxxxDevice_SerialOrderFrames');
     InitVar(Hd, result, RtxxxDevice_SetSerialOrderFramesOut,  'RtxxxDevice_SetSerialOrderFramesOut');
     InitVar(Hd, result, RtxxxDevice_SerialOrderFramesOut,     'RtxxxDevice_SerialOrderFramesOut');
     InitVar(Hd, result, RtxxxDevice_SetSerialOrderFields,     'RtxxxDevice_SetSerialOrderFields');
     InitVar(Hd, result, RtxxxDevice_SerialOrderFields,        'RtxxxDevice_SerialOrderFields');
     InitVar(Hd, result, RtxxxDevice_SetSerialOrderFieldsOut,  'RtxxxDevice_SetSerialOrderFieldsOut');
     InitVar(Hd, result, RtxxxDevice_SerialOrderFieldsOut,     'RtxxxDevice_SerialOrderFieldsOut');
     InitVar(Hd, result, RtxxxDevice_SetFieldsShowMode,        'RtxxxDevice_SetFieldsShowMode');
     InitVar(Hd, result, RtxxxDevice_FieldsShowMode,           'RtxxxDevice_FieldsShowMode');
     InitVar(Hd, result, RtxxxDevice_SetMirrorMode,            'RtxxxDevice_SetMirrorMode');
     InitVar(Hd, result, RtxxxDevice_MirrorMode,               'RtxxxDevice_MirrorMode');
     InitVar(Hd, result, RtxxxDevice_SetScalingMode,           'RtxxxDevice_SetScalingMode');
     InitVar(Hd, result, RtxxxDevice_ScalingMode,              'RtxxxDevice_ScalingMode');
     InitVar(Hd, result, RtxxxDevice_SetShowStrobeRect,        'RtxxxDevice_SetShowStrobeRect');
     InitVar(Hd, result, RtxxxDevice_ShowStrobeRect,           'RtxxxDevice_ShowStrobeRect');
     InitVar(Hd, result, RtxxxDevice_SetShowOut,               'RtxxxDevice_SetShowOut');
     InitVar(Hd, result, RtxxxDevice_ShowOut,                  'RtxxxDevice_ShowOut');
     InitVar(Hd, result, RtxxxDevice_SetOneFieldMode,          'RtxxxDevice_SetOneFieldMode');
     InitVar(Hd, result, RtxxxDevice_OneFieldMode,             'RtxxxDevice_OneFieldMode');
     InitVar(Hd, result, RtxxxDevice_SetSyncInOutSignals,      'RtxxxDevice_SetSyncInOutSignals');
     InitVar(Hd, result, RtxxxDevice_SyncInOutSignals,         'RtxxxDevice_SyncInOutSignals');
     InitVar(Hd, result, RtxxxDevice_SetADCBits,               'RtxxxDevice_SetADCBits');
     InitVar(Hd, result, RtxxxDevice_ADCBits,                  'RtxxxDevice_ADCBits');
     InitVar(Hd, result, RtxxxDevice_SetADCBitsStb,            'RtxxxDevice_SetADCBitsStb');
     InitVar(Hd, result, RtxxxDevice_ADCBitsStb,               'RtxxxDevice_ADCBitsStb');
     InitVar(Hd, result, RtxxxDevice_SetDACBits,               'RtxxxDevice_SetDACBits');
     InitVar(Hd, result, RtxxxDevice_DACBits,                  'RtxxxDevice_DACBits');
     InitVar(Hd, result, RtxxxDevice_ADCMax,                   'RtxxxDevice_ADCMax');
     InitVar(Hd, result, RtxxxDevice_DACMax,                   'RtxxxDevice_DACMax');
     InitVar(Hd, result, RtxxxDevice_SetImageBits,             'RtxxxDevice_SetImageBits');
     InitVar(Hd, result, RtxxxDevice_ImageBits,                'RtxxxDevice_ImageBits');
     InitVar(Hd, result, RtxxxDevice_SetImageBitsStb,          'RtxxxDevice_SetImageBitsStb');
     InitVar(Hd, result, RtxxxDevice_ImageBitsStb,             'RtxxxDevice_ImageBitsStb');
     InitVar(Hd, result, RtxxxDevice_SetImageBitsOut,          'RtxxxDevice_SetImageBitsOut');
     InitVar(Hd, result, RtxxxDevice_ImageBitsOut,             'RtxxxDevice_ImageBitsOut');
     InitVar(Hd, result, RtxxxDevice_SetCaptureMode,           'RtxxxDevice_SetCaptureMode');
     InitVar(Hd, result, RtxxxDevice_CaptureMode,              'RtxxxDevice_CaptureMode');
     InitVar(Hd, result, RtxxxDevice_ThroughMode,              'RtxxxDevice_ThroughMode');
     InitVar(Hd, result, RtxxxDevice_CheckInSignal,            'RtxxxDevice_CheckInSignal');
     InitVar(Hd, result, RtxxxDevice_StartCaptureFrame,        'RtxxxDevice_StartCaptureFrame');
     InitVar(Hd, result, RtxxxDevice_StartCaptureStrobe,       'RtxxxDevice_StartCaptureStrobe');
     InitVar(Hd, result, RtxxxDevice_CaptureFrame,             'RtxxxDevice_CaptureFrame');
     InitVar(Hd, result, RtxxxDevice_CaptureStrobe,            'RtxxxDevice_CaptureStrobe');
     InitVar(Hd, result, RtxxxDevice_DmaBufferPtr,             'RtxxxDevice_DmaBufferPtr');
     InitVar(Hd, result, RtxxxDevice_DmaBufferPtrStb,          'RtxxxDevice_DmaBufferPtrStb');
     InitVar(Hd, result, RtxxxDevice_DmaSequenceMode,          'RtxxxDevice_DmaSequenceMode');
     InitVar(Hd, result, RtxxxDevice_CurrentCpuCount,          'RtxxxDevice_CurrentCpuCount');
     InitVar(Hd, result, RtxxxDevice_CpuCount,                 'RtxxxDevice_CpuCount');
     InitVar(Hd, result, RtxxxDevice_CpuCountStb,              'RtxxxDevice_CpuCountStb');
     InitVar(Hd, result, RtxxxDevice_GetCpuCount,              'RtxxxDevice_GetCpuCount');
     InitVar(Hd, result, RtxxxDevice_GetCpuFreq,               'RtxxxDevice_GetCpuFreq');
     InitVar(Hd, result, RtxxxDevice_StartOutFrame,            'RtxxxDevice_StartOutFrame');
     InitVar(Hd, result, RtxxxDevice_OutFrame,                 'RtxxxDevice_OutFrame');
     InitVar(Hd, result, RtxxxDevice_OutRect,                  'RtxxxDevice_OutRect');
     InitVar(Hd, result, RtxxxDevice_SetCountFrames,           'RtxxxDevice_SetCountFrames');
     InitVar(Hd, result, RtxxxDevice_CountFrames,              'RtxxxDevice_CountFrames');
     InitVar(Hd, result, RtxxxDevice_SetVideoIn,               'RtxxxDevice_SetVideoIn');
     InitVar(Hd, result, RtxxxDevice_VideoIn,                  'RtxxxDevice_VideoIn');
     InitVar(Hd, result, RtxxxDevice_SetPersonalMode,          'RtxxxDevice_SetPersonalMode');
     InitVar(Hd, result, RtxxxDevice_PersonalMode,             'RtxxxDevice_PersonalMode');
     InitVar(Hd, result, RtxxxDevice_SetLeft,                  'RtxxxDevice_SetLeft');
     InitVar(Hd, result, RtxxxDevice_Left,                     'RtxxxDevice_Left');
     InitVar(Hd, result, RtxxxDevice_LeftMin,                  'RtxxxDevice_LeftMin');
     InitVar(Hd, result, RtxxxDevice_LeftMax,                  'RtxxxDevice_LeftMax');
     InitVar(Hd, result, RtxxxDevice_SetTop,                   'RtxxxDevice_SetTop');
     InitVar(Hd, result, RtxxxDevice_Top,                      'RtxxxDevice_Top');
     InitVar(Hd, result, RtxxxDevice_TopMin,                   'RtxxxDevice_TopMin');
     InitVar(Hd, result, RtxxxDevice_TopMax,                   'RtxxxDevice_TopMax');
     InitVar(Hd, result, RtxxxDevice_SetWidth,                 'RtxxxDevice_SetWidth');
     InitVar(Hd, result, RtxxxDevice_Width,                    'RtxxxDevice_Width');
     InitVar(Hd, result, RtxxxDevice_WidthMin,                 'RtxxxDevice_WidthMin');
     InitVar(Hd, result, RtxxxDevice_WidthMax,                 'RtxxxDevice_WidthMax');
     InitVar(Hd, result, RtxxxDevice_SetHeight,                'RtxxxDevice_SetHeight');
     InitVar(Hd, result, RtxxxDevice_Height,                   'RtxxxDevice_Height');
     InitVar(Hd, result, RtxxxDevice_HeightMin,                'RtxxxDevice_HeightMin');
     InitVar(Hd, result, RtxxxDevice_HeightMax,                'RtxxxDevice_HeightMax');
     InitVar(Hd, result, RtxxxDevice_SetLenLine,               'RtxxxDevice_SetLenLine');
     InitVar(Hd, result, RtxxxDevice_LenLine,                  'RtxxxDevice_LenLine');
     InitVar(Hd, result, RtxxxDevice_LenLineMin,               'RtxxxDevice_LenLineMin');
     InitVar(Hd, result, RtxxxDevice_LenLineMax,               'RtxxxDevice_LenLineMax');
     InitVar(Hd, result, RtxxxDevice_SetLeftStb,               'RtxxxDevice_SetLeftStb');
     InitVar(Hd, result, RtxxxDevice_LeftStb,                  'RtxxxDevice_LeftStb');
     InitVar(Hd, result, RtxxxDevice_LeftMinStb,               'RtxxxDevice_LeftMinStb');
     InitVar(Hd, result, RtxxxDevice_LeftMaxStb,               'RtxxxDevice_LeftMaxStb');
     InitVar(Hd, result, RtxxxDevice_SetTopStb,                'RtxxxDevice_SetTopStb');
     InitVar(Hd, result, RtxxxDevice_TopStb,                   'RtxxxDevice_TopStb');
     InitVar(Hd, result, RtxxxDevice_TopMinStb,                'RtxxxDevice_TopMinStb');
     InitVar(Hd, result, RtxxxDevice_TopMaxStb,                'RtxxxDevice_TopMaxStb');
     InitVar(Hd, result, RtxxxDevice_SetWidthStb,              'RtxxxDevice_SetWidthStb');
     InitVar(Hd, result, RtxxxDevice_WidthStb,                 'RtxxxDevice_WidthStb');
     InitVar(Hd, result, RtxxxDevice_WidthMinStb,              'RtxxxDevice_WidthMinStb');
     InitVar(Hd, result, RtxxxDevice_WidthMaxStb,              'RtxxxDevice_WidthMaxStb');
     InitVar(Hd, result, RtxxxDevice_SetHeightStb,             'RtxxxDevice_SetHeightStb');
     InitVar(Hd, result, RtxxxDevice_HeightStb,                'RtxxxDevice_HeightStb');
     InitVar(Hd, result, RtxxxDevice_HeightMinStb,             'RtxxxDevice_HeightMinStb');
     InitVar(Hd, result, RtxxxDevice_HeightMaxStb,             'RtxxxDevice_HeightMaxStb');
     InitVar(Hd, result, RtxxxDevice_SetLeftOut,               'RtxxxDevice_SetLeftOut');
     InitVar(Hd, result, RtxxxDevice_LeftOut,                  'RtxxxDevice_LeftOut');
     InitVar(Hd, result, RtxxxDevice_LeftMinOut,               'RtxxxDevice_LeftMinOut');
     InitVar(Hd, result, RtxxxDevice_LeftMaxOut,               'RtxxxDevice_LeftMaxOut');
     InitVar(Hd, result, RtxxxDevice_SetTopOut,                'RtxxxDevice_SetTopOut');
     InitVar(Hd, result, RtxxxDevice_TopOut,                   'RtxxxDevice_TopOut');
     InitVar(Hd, result, RtxxxDevice_TopMinOut,                'RtxxxDevice_TopMinOut');
     InitVar(Hd, result, RtxxxDevice_TopMaxOut,                'RtxxxDevice_TopMaxOut');
     InitVar(Hd, result, RtxxxDevice_SetWidthOut,              'RtxxxDevice_SetWidthOut');
     InitVar(Hd, result, RtxxxDevice_WidthOut,                 'RtxxxDevice_WidthOut');
     InitVar(Hd, result, RtxxxDevice_WidthMinOut,              'RtxxxDevice_WidthMinOut');
     InitVar(Hd, result, RtxxxDevice_WidthMaxOut,              'RtxxxDevice_WidthMaxOut');
     InitVar(Hd, result, RtxxxDevice_SetHeightOut,             'RtxxxDevice_SetHeightOut');
     InitVar(Hd, result, RtxxxDevice_HeightOut,                'RtxxxDevice_HeightOut');
     InitVar(Hd, result, RtxxxDevice_HeightMinOut,             'RtxxxDevice_HeightMinOut');
     InitVar(Hd, result, RtxxxDevice_HeightMaxOut,             'RtxxxDevice_HeightMaxOut');
     InitVar(Hd, result, RtxxxDevice_SetLenLineOut,            'RtxxxDevice_SetLenLineOut');
     InitVar(Hd, result, RtxxxDevice_LenLineOut,               'RtxxxDevice_LenLineOut');
     InitVar(Hd, result, RtxxxDevice_LenLineMinOut,            'RtxxxDevice_LenLineMinOut');
     InitVar(Hd, result, RtxxxDevice_LenLineMaxOut,            'RtxxxDevice_LenLineMaxOut');
     InitVar(Hd, result, RtxxxDevice_WinToCentre,              'RtxxxDevice_WinToCentre');
     InitVar(Hd, result, RtxxxDevice_WinStbToCentre,           'RtxxxDevice_WinStbToCentre');
     InitVar(Hd, result, RtxxxDevice_WinOutToCentre,           'RtxxxDevice_WinOutToCentre');
     InitVar(Hd, result, RtxxxDevice_SetAccumMethod,           'RtxxxDevice_SetAccumMethod');
     InitVar(Hd, result, RtxxxDevice_AccumMethod,              'RtxxxDevice_AccumMethod');
     InitVar(Hd, result, RtxxxDevice_SetAccumMode,             'RtxxxDevice_SetAccumMode');
     InitVar(Hd, result, RtxxxDevice_AccumMode,                'RtxxxDevice_AccumMode');
     InitVar(Hd, result, RtxxxDevice_SetAccumValue,            'RtxxxDevice_SetAccumValue');
     InitVar(Hd, result, RtxxxDevice_AccumValue,               'RtxxxDevice_AccumValue');
     InitVar(Hd, result, RtxxxDevice_CountAccumFrames,         'RtxxxDevice_CountAccumFrames');
     InitVar(Hd, result, RtxxxDevice_SetAccumMethodStb,        'RtxxxDevice_SetAccumMethodStb');
     InitVar(Hd, result, RtxxxDevice_AccumMethodStb,           'RtxxxDevice_AccumMethodStb');
     InitVar(Hd, result, RtxxxDevice_SetAccumModeStb,          'RtxxxDevice_SetAccumModeStb');
     InitVar(Hd, result, RtxxxDevice_AccumModeStb,             'RtxxxDevice_AccumModeStb');
     InitVar(Hd, result, RtxxxDevice_SetAccumValueStb,         'RtxxxDevice_SetAccumValueStb');
     InitVar(Hd, result, RtxxxDevice_AccumValueStb,            'RtxxxDevice_AccumValueStb');
     InitVar(Hd, result, RtxxxDevice_CountAccumFramesStb,      'RtxxxDevice_CountAccumFramesStb');
     InitVar(Hd, result, RtxxxDevice_SetContrastMul,           'RtxxxDevice_SetContrastMul');
     InitVar(Hd, result, RtxxxDevice_ContrastMul,              'RtxxxDevice_ContrastMul');
     InitVar(Hd, result, RtxxxDevice_SetContrastOfs,           'RtxxxDevice_SetContrastOfs');
     InitVar(Hd, result, RtxxxDevice_ContrastOfs,              'RtxxxDevice_ContrastOfs');
     InitVar(Hd, result, RtxxxDevice_SetContrastMulStb,        'RtxxxDevice_SetContrastMulStb');
     InitVar(Hd, result, RtxxxDevice_ContrastMulStb,           'RtxxxDevice_ContrastMulStb');
     InitVar(Hd, result, RtxxxDevice_SetContrastOfsStb,        'RtxxxDevice_SetContrastOfsStb');
     InitVar(Hd, result, RtxxxDevice_ContrastOfsStb,           'RtxxxDevice_ContrastOfsStb');
     InitVar(Hd, result, RtxxxDevice_SetLUT,                   'RtxxxDevice_SetLUT');
     InitVar(Hd, result, RtxxxDevice_GetLUT,                   'RtxxxDevice_GetLUT');
     InitVar(Hd, result, RtxxxDevice_SetFilterMode,            'RtxxxDevice_SetFilterMode');
     InitVar(Hd, result, RtxxxDevice_FilterMode,               'RtxxxDevice_FilterMode');
     InitVar(Hd, result, RtxxxDevice_WriteDspOperand,          'RtxxxDevice_WriteDspOperand');
     InitVar(Hd, result, RtxxxDevice_ClearDspOperand,          'RtxxxDevice_ClearDspOperand');
     InitVar(Hd, result, RtxxxDevice_SetDspOperation,          'RtxxxDevice_SetDspOperation');
     InitVar(Hd, result, RtxxxDevice_DspOperation,             'RtxxxDevice_DspOperation');
     InitVar(Hd, result, RtxxxDevice_SetDspLevel,              'RtxxxDevice_SetDspLevel');
     InitVar(Hd, result, RtxxxDevice_DspLevel,                 'RtxxxDevice_DspLevel');
     InitVar(Hd, result, RtxxxDevice_SetDspWeight,             'RtxxxDevice_SetDspWeight');
     InitVar(Hd, result, RtxxxDevice_DspWeight,                'RtxxxDevice_DspWeight');
     InitVar(Hd, result, RtxxxDevice_WriteDspOperandStb,       'RtxxxDevice_WriteDspOperandStb');
     InitVar(Hd, result, RtxxxDevice_ClearDspOperandStb,       'RtxxxDevice_ClearDspOperandStb');
     InitVar(Hd, result, RtxxxDevice_SetDspOperationStb,       'RtxxxDevice_SetDspOperationStb');
     InitVar(Hd, result, RtxxxDevice_DspOperationStb,          'RtxxxDevice_DspOperationStb');
     InitVar(Hd, result, RtxxxDevice_SetDspLevelStb,           'RtxxxDevice_SetDspLevelStb');
     InitVar(Hd, result, RtxxxDevice_DspLevelStb,              'RtxxxDevice_DspLevelStb');
     InitVar(Hd, result, RtxxxDevice_SetDspWeightStb,          'RtxxxDevice_SetDspWeightStb');
     InitVar(Hd, result, RtxxxDevice_DspWeightStb,             'RtxxxDevice_DspWeightStb');
     InitVar(Hd, result, RtxxxDevice_SetRecurseIndex,          'RtxxxDevice_SetRecurseIndex');
     InitVar(Hd, result, RtxxxDevice_RecurseIndex,             'RtxxxDevice_RecurseIndex');
     InitVar(Hd, result, RtxxxDevice_SetRecurseIndexStb,       'RtxxxDevice_SetRecurseIndexStb');
     InitVar(Hd, result, RtxxxDevice_RecurseIndexStb,          'RtxxxDevice_RecurseIndexStb');
     InitVar(Hd, result, RtxxxDevice_SetStatisticsChanel,      'RtxxxDevice_SetStatisticsChanel');
     InitVar(Hd, result, RtxxxDevice_StatisticsChanel,         'RtxxxDevice_StatisticsChanel');
     InitVar(Hd, result, RtxxxDevice_GetMinMax,                'RtxxxDevice_GetMinMax');
     InitVar(Hd, result, RtxxxDevice_SetHistogramMode,         'RtxxxDevice_SetHistogramMode');
     InitVar(Hd, result, RtxxxDevice_HistogramMode,            'RtxxxDevice_HistogramMode');
     InitVar(Hd, result, RtxxxDevice_GetHistogram,             'RtxxxDevice_GetHistogram');
     InitVar(Hd, result, RtxxxDevice_GetHardHistogram,         'RtxxxDevice_GetHardHistogram');
     InitVar(Hd, result, RtxxxDevice_GetCfgBlockSize,          'RtxxxDevice_GetCfgBlockSize');
     InitVar(Hd, result, RtxxxDevice_GetCfg,                   'RtxxxDevice_GetCfg');
     InitVar(Hd, result, RtxxxDevice_SetCfg,                   'RtxxxDevice_SetCfg');
     InitVar(Hd, result, RtxxxDevice_SetCfgDefault,            'RtxxxDevice_SetCfgDefault');
     InitVar(Hd, result, RtxxxDevice_LoadCfg,                  'RtxxxDevice_LoadCfg');
     InitVar(Hd, result, RtxxxDevice_SaveCfg,                  'RtxxxDevice_SaveCfg');
     InitVar(Hd, result, RtxxxDevice_SetIoDirection,           'RtxxxDevice_SetIoDirection');
     InitVar(Hd, result, RtxxxDevice_IoDirection,              'RtxxxDevice_IoDirection');
     InitVar(Hd, result, RtxxxDevice_OutPort,                  'RtxxxDevice_OutPort');
     InitVar(Hd, result, RtxxxDevice_InPort,                   'RtxxxDevice_InPort');
     InitVar(Hd, result, RtxxxDevice_WaitPulse,                'RtxxxDevice_WaitPulse');
     InitVar(Hd, result, RtxxxDevice_OutSyncPulse,             'RtxxxDevice_OutSyncPulse');
     InitVar(Hd, result, RtxxxDevice_ShowControlPanel,         'RtxxxDevice_ShowControlPanel');
     InitVar(Hd, result, RtxxxDevice_SetControlPanelPos,       'RtxxxDevice_SetControlPanelPos');
     InitVar(Hd, result, RtxxxDevice_GetControlPanelPos,       'RtxxxDevice_GetControlPanelPos');
     InitVar(Hd, result, RtxxxDevice_HideControlPanel,         'RtxxxDevice_HideControlPanel');
     InitVar(Hd, result, RtxxxDevice_WriteBank,                'RtxxxDevice_WriteBank');
     InitVar(Hd, result, RtxxxDevice_ClearBank,                'RtxxxDevice_ClearBank');
     InitVar(Hd, result, RtxxxDevice_ReadBank,                 'RtxxxDevice_ReadBank');
     InitVar(Hd, result, RtxxxDevice_GetDriverInfo,            'RtxxxDevice_GetDriverInfo');
     InitVar(Hd, result, RtxxxDevice_InReg,                    'RtxxxDevice_InReg');
     InitVar(Hd, result, RtxxxDevice_OutReg,                   'RtxxxDevice_OutReg');
     InitVar(Hd, result, RtxxxDevice_InVar,                    'RtxxxDevice_InVar');
     InitVar(Hd, result, RtxxxDevice_OutVar,                   'RtxxxDevice_OutVar');
     InitVar(Hd, result, RtxxxDevice_SetCapturePriority,       'RtxxxDevice_SetCapturePriority');
     InitVar(Hd, result, RtxxxDevice_CapturePriority,          'RtxxxDevice_CapturePriority');
     InitVar(Hd, result, RtxxxDevice_CreateMemoryBuffer,       'RtxxxDevice_CreateMemoryBuffer');
     InitVar(Hd, result, RtxxxDevice_FreeMemoryBuffer,         'RtxxxDevice_FreeMemoryBuffer');

     InitVar(Hd, result, RtxxxDevice_SetTime,                  'RtxxxDevice_SetTime');
     InitVar(Hd, result, RtxxxDevice_GetTime,                  'RtxxxDevice_GetTime');
     InitVar(Hd, result, RtxxxDevice_GetTimeBeginCapture,      'RtxxxDevice_GetTimeBeginCapture');
     InitVar(Hd, result, RtxxxDevice_SetFreqDivider,           'RtxxxDevice_SetFreqDivider');
     InitVar(Hd, result, RtxxxDevice_FreqDivider,              'RtxxxDevice_FreqDivider');
   End;

Function ConnectToVPxxxInterface;
   Begin
     result:=ConnectToRt8xxLibrary(Hd);
   End;

Function ConnectToDCxxxInterface;
   Begin
     result:=FALSE;
     If CheckRt8xxLibrary(Hd)<>0 then Exit;
     result:=TRUE;
     InitVar(Hd, result, RtxxxDevice_SetShutterMode,           'RtxxxDevice_SetShutterMode');
     InitVar(Hd, result, RtxxxDevice_ShutterMode,              'RtxxxDevice_ShutterMode');
     InitVar(Hd, result, RtxxxDevice_SetShutter,               'RtxxxDevice_SetShutter');
     InitVar(Hd, result, RtxxxDevice_Shutter,                  'RtxxxDevice_Shutter');
     InitVar(Hd, result, RtxxxDevice_SetClockDivider,          'RtxxxDevice_SetClockDivider');
     InitVar(Hd, result, RtxxxDevice_ClockDivider,             'RtxxxDevice_ClockDivider');
     InitVar(Hd, result, RtxxxDevice_SetTestMode,              'RtxxxDevice_SetTestMode');
     InitVar(Hd, result, RtxxxDevice_TestMode,                 'RtxxxDevice_TestMode');
     InitVar(Hd, result, RtxxxDevice_SetFrameFactor,           'RtxxxDevice_SetFrameFactor');
     InitVar(Hd, result, RtxxxDevice_FrameFactor,              'RtxxxDevice_FrameFactor');
     InitVar(Hd, result, RtxxxDevice_SetGainX,                 'RtxxxDevice_SetGainX');
     InitVar(Hd, result, RtxxxDevice_GainX,                    'RtxxxDevice_GainX');
     InitVar(Hd, result, RtxxxDevice_SetGainY,                 'RtxxxDevice_SetGainY');
     InitVar(Hd, result, RtxxxDevice_GainY,                    'RtxxxDevice_GainY');
     InitVar(Hd, result, RtxxxDevice_SetOffsetX,               'RtxxxDevice_SetOffsetX');
     InitVar(Hd, result, RtxxxDevice_OffsetX,                  'RtxxxDevice_OffsetX');
     InitVar(Hd, result, RtxxxDevice_SetOffsetY,               'RtxxxDevice_SetOffsetY');
     InitVar(Hd, result, RtxxxDevice_OffsetY,                  'RtxxxDevice_OffsetY');
     InitVar(Hd, result, RtxxxDevice_SetPhase1,                'RtxxxDevice_SetPhase1');
     InitVar(Hd, result, RtxxxDevice_Phase1,                   'RtxxxDevice_Phase1');
     InitVar(Hd, result, RtxxxDevice_SetPhase2,                'RtxxxDevice_SetPhase2');
     InitVar(Hd, result, RtxxxDevice_Phase2,                   'RtxxxDevice_Phase2');
     InitVar(Hd, result, RtxxxDevice_SetPhase3,                'RtxxxDevice_SetPhase3');
     InitVar(Hd, result, RtxxxDevice_Phase3,                   'RtxxxDevice_Phase4');
     InitVar(Hd, result, RtxxxDevice_SetPhase4,                'RtxxxDevice_SetPhase4');
     InitVar(Hd, result, RtxxxDevice_Phase4,                   'RtxxxDevice_Phase4');
     InitVar(Hd, result, RtxxxDevice_SetThresholds,            'RtxxxDevice_SetThresholds');
     InitVar(Hd, result, RtxxxDevice_GetThresholds,            'RtxxxDevice_GetThresholds');
     InitVar(Hd, result, RtxxxDevice_GetPixelsCount,           'RtxxxDevice_GetPixelsCount');
     InitVar(Hd, result, RtxxxDevice_SetMarkerPos,             'RtxxxDevice_SetMarkerPos');
     InitVar(Hd, result, RtxxxDevice_GetMarkerPos,             'RtxxxDevice_GetMarkerPos');
   End;


END.
